2006-10-26  Enrico Forestieri  <forenr@tlc.unipr.it>

	* forms/form_maths_delim.fd: Add combobox for selecting delimiter size.
	* FormMathsDelim.h: Add private variable to store delimiter size.
	* FormMathsDelim.C: Correct entry in delim_rversion[].
	(fix_name): new, return correct name for fixed size delimiter.
	(build, apply, update): allow for fixed size delimiters.

2006-08-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* FormErrorList.C (update): do not call updateContents if the
	error list has not been updated (bug 2179).

2006-06-27  Martin Vermeer  <martin.vermeer@hut.fi>

	* FormSpellchecker.C (update): fix bug 2218: Spellchecker doesn't
	pop up dialogue window for the first misspelled word.

2006-06-27  Enrico Forestieri  <forenr@tlc.unipr.it>

	* FormPreferences.C (apply): rename cygwin_path_fix as
	windows_style_tex_paths.
	(build): rename check_cygwin_path as check_windows_style_tex_paths.
	(update): rename check_cygwin_path as check_windows_style_tex_paths.
	(feedback): ditto, update checkbutton description.

	* forms/form_preferences.fd: update label and name of checkbutton.

2006-03-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* FormDocument.C (options_apply): do not return a bool anymore
	(was not used); skip secnumdepth and tocdepth if the class does
	not define a ToC structure.
	(UpdateClassParams): disable the secnumdepth and tocdepth widgets
	if the class does not define a ToC structure.

2006-03-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormBibtex.C: Move parsing of Options (stylefile, bibtotoc)
	to the controller (bug 2322).

2006-03-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* FormChanges.C: fix bug 2212: First change is skipped in
	"Merge changes..." dialog

2006-02-15  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormCitation.C (input): get rid of the iterator.

2006-02-15  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormCitation.C (input): fix crash due to invalidated
	iterator.

2005-12-12  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormPreferences.C: fix off-by-x errors in paper size setting
	by using new helper functions fromPaperSize/toPaperSize (bug 2148).

2005-10-05  Angus Leeming  <leeming@lyx.org>

	* FormGraphics.C (build):
	* FormVSpace.C (build):
	squash warning about unused values in switch statement.

	* FormParagraph.C (build): remove unused switch statement.

	* FormTabular.C (update): replace "sprintf" with
	"convert<string>".

2005-10-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* FormToc.C: fix bug 2038

2005-09-15  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormCitation.C (findBiblio): correct start iterator when 
	searching backwards (bug 2002).

2005-09-08  Angus Leeming  <leeming@lyx.org>

	* FormPreferences.C:
	* FormSpellchecker.C:
	* forms/form_preferences.fd: correct grammar describing invocation
	of the spellchecker.

2005-07-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* FormDialogView.C (show): exit after update if Controller::exitEarly()
	is true. (bug 1950)

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormTexInfo.C: Load and display full-path and no-path
	lists correctly (bug 1936)

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormToc.C (updateType, update_contents): Do not compare against 
	translatable strings (bug 1870).

2005-07-22  Angus Leeming  <leeming@lyx.org>

	* FormSearch.C (input): do not trim the find and replace strings.

2005-07-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormDocument.C:
	* forms/form_document.fd: remove the paperpackage widgets
	(bug 1929).

2005-07-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* FontInfo.C (query): revert earlier undocumented change.

2005-07-17  Michael Schmitt  <michael.schmitt@teststep.org>

	* ColorHandler.C: fix bformat message
	* FormCitation.C: Message changes: "Ref" => "Citation"; "Lists" =>
	"List"
	* forms/form_preferences.fd: remove spaces from messages
	* FormPreferences.C: simplify/clarify messages

2005-07-18  José Matos  <jamatos@fc.up.pt>

	* FormDocument.C: new file format, remove support for a4.sty,
	a4wide.sty and a4widemargins.

2005-07-16  José Matos  <jamatos@fc.up.pt>

	* FormParagraphs.C:
	* FormVSpace.C:
	* FormsExternal.C:
	* FormGraphics.C:
	* FormDocument.C: remove setPaperStuff and use a
	single papersize variable.

2005-07-16  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* FormPreferences.h: remove a reLyX reference

2005-07-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* xfont_loader.C (getFontinfo): do not call addFontPath.
	(addFontPath): remove.

2005-07-13  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* forms/Makefile.am (distclean-local): pretend success also if
	srcdir != builddir

2005-07-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormToc.C: consider gui name, not type, when trying to set the
	toc combo (fixes bug 1870).

2005-05-31  Angus Leeming  <leeming@lyx.org>

	* checkedwidgets.C (check): allow ':' characters in file names. data.

2002-11-19  Angus Leeming  <leeming@lyx.org>

	* FormInset.[Ch]: removed; no longer used after John's port of the
	tabular dialog to MCV.

	* Makefile.am (libxforms_la_SOURCES): remove FormInset.[Ch].

	* FormBase.h (show):
	* FormExternal.h (apply, build, update, input):
	* FormSpellchecker.h (apply, build, update, partialUpdate):
	propogate the virtual keyword.

2002-11-17  John Levon  <levon@movementarian.org>

	* FileDialog.C: open/save name change

2002-11-15  John Levon  <levon@movementarian.org>

	* Dialogs2.C:
	* Dialogs_impl.h:
	* FormPreferences.h:
	* FormPreferences.C:
	* FormTabular.h:
	* FormTabular.C:
	* forms/form_preferences.fd:
	* forms/form_tabular.fd: port tabular and prefs to MVC

	* FormBase.h: make hide() virtual for prefs

2002-11-08  Angus Leeming  <leeming@lyx.org>

	* xforms_resize.[Ch]: sigh. Hack the "get scaling" part of
	fl_adjust_form_size out of the xforms source and put it in here as
	get_scaling_factor. Resizing and then unresizing to get this info
	produces really nasty results...

	I've put a request into the xforms list.

2002-11-08  Angus Leeming  <leeming@lyx.org>

	* xforms_resize.[Ch]: replace scale_to_fit_tabs and scale_form with
	get_scale_to_fit and scale_form_horizontally, respectively. The
	functions are a total re-write, making use of the xforms library's
	fl_adjust_form_size routine. We therefore get enormously simplified
	code and consideration of /all/ button objects, not just those
	tabs in tabfolders.

	* FormBase.C (prepare_to_show):
	* FormBaseDeprecated.C (prepare_to_show): use the renamed resize
	functions to scale the dialog so that labels fit within buttons.

	* FormBase.C (prepare_to_show): remove bc().refresh() call, as this
	is done by the controller.

2002-11-07  Angus Leeming  <leeming@lyx.org>

	* forms/fdfixh.sed: generate the d-tors in a clean way.
	* forms/fdfixc.sed: Go from "fdui->form_xxx" to "fdui->form" in
	a clean way.

2002-10-31  Herbert Voss  <voss@perce.de>

	* FormGraphics.C (build, apply): get the rotate-list from the
	controller

2002-11-04  Angus Leeming  <leeming@lyx.org>

	* FormGraphics.C (build): Use frnt::getBBUnits().

2002-11-04  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormSpellchecker.C (input): fix label of spellchecker progress bar.

2002-11-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyx_gui.C (hexname): STRCONV

	* FormPreferences.C (X11hexname): STRCONV

	* FormMathsMatrix.C (apply): STRCONV

	* FormMathsDelim.C (apply): STRCONV

	* lyx_gui.C (start): adjust signature
	(start): exchange magic integers for defined values.

2002-10-31  Rob Lahaye  <lahaye@snu.ac.kr>

	* xformsImage.C (clip): fix crash caused by uint -> int nastiness.

	* FormGraphics.C: use lyx::float_equal.

2002-10-29  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormParagraph.[Ch]:
	* forms/form_paragraph.fd: a large-scale reorganisation and clean-up
	of the code to make it more transparent. Use RadioButtonGroup and
	CheckedGlueLength for the same reason. Add tooltips.

2002-10-28  Angus Leeming  <leeming@lyx.org>

	* FeedbackController.C (PrehandlerCB): show tooltips for browser
	widgets, working-around an xforms bug.

	* FormBibtex.C (build):
	* FormCitation.C (build):
	* FormForks.C (build):
	* FormSpellchecker.C (build):
	* FormTexinfo.C (build):
	set the prehandler for the browser widgets so that we can have tooltips.

2002-10-28  Dekel Tsur  <dekelts@tau.ac.il>

	* xfont_loader.C (getFontinfo): Cleanup.

2002-10-26  John Levon  <levon@movementarian.org>

	* forms/form_preamble.fd: OK cannot be a RETURN_BUTTON ;)

2002-10-26  John Levon  <levon@movementarian.org>

	* FormTexinfo.C: using vector

2002-10-25  Dekel Tsur  <dekelts@tau.ac.il>

	* xfont_loader.C (getFontinfo): Add xfonts to the font path if
	necessary.

2002-10-25  Angus Leeming  <leeming@lyx.org>

	* FormSpellchecker.C (input): fix crash when progress == 0.

2002-10-24  Rob Lahaye  <lahaye@snu.ac.kr>

	* forms/form_print.fd:
	* FormPrint.[Ch]: clean-up, reflecting discussion on the list.

	* forms/form_spellchecker.fd:
	* FormSpellchecker.[Ch]: add tooltips; general clean-up.
	 add word count to dialog and improve progress status;
	 implement single Start/Stop button;

	* FormTabular.C (build): rearrange lines tab by tab.
	Use getString not fl_get_inout.

	* FormTexinfo.C: replace View-button by catching double click in
	browser; allow viewing of files, irrespective of full path.

	* forms/form_wrap.fd: resized. Remove text_warning widget. Fix gravity.
	* FormWrap.[Ch]: simplification through the use of RadioButtonGroup
	and CheckedGlueLength. Add tooltips.

2002-10-24  Angus Leeming  <leeming@lyx.org>

	* FormRef.C (updateBrowser): invoke updateHighlight
	(updateHighlight): don't select a browser item if there is no
	reference selected.
	(apply, input): use getString not fl_get_input.

2002-10-23  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* FormExternal.C (apply):
	(input): fix an off-by-one index (causing a crash)

2002-10-24  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormGraphics.C: use checkedWidgets to ensure that the lengths and
	glue lengths are valid. Improve code documentation and layout.
	InsetGraphicsParams::scale is now a float; modify dialog to suit.

	* FormLog.C (update): more descriptive title and warning messages.

	* FormMathsPanel.C (c-tor): allow dialog to be resized.

	* FormPreamble.C (build): rearrange.
	(apply): use getString, not fl_get_input.

	* FormSearch.C (build): add tooltips.
	(input): use getString, not fl_get_input.

	* FormShowFile.C: more descriptive title.

	* forms/form_browser.fd:
	* forms/form_preamble.fd: reshape.

	* forms/form_graphics.fd: reshape. Remove text_warning widget.

	* forms/form_maths_panel.fd:
	* forms/form_ref.fd:
	* forms/form_search.fd: reshape. Fix gravity.

2002-10-24  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormFloat.C (input): fix the radio buttongroup behaviour.

	* RadioButtonGroup.C (init): Assert on ROUND3DBUTTON and RADIO_BUTTON
	when adding object to the group.

	* forms/form_float.fd: use RADIO_BUTTON for the buttons in the radio
	group.

	* FormDocument.C: remove redundant header files.

2002-10-24  Angus Leeming  <leeming@lyx.org>

	* Dialogs_impl.h: set the policy of the BibtexDialog to
	NoRepeatedApplyReadOnlyPolicy.

2002-10-23  Rob Lahaye  <lahaye@snu.ac.kr>

	* forms/form_float.fd: prettify and implement gravity/resize policy
	correctly.

	* FormFloat.C: add tooltips, lots of comments and check the
	input more carefully.

2002-10-23  Angus Leeming  <leeming@lyx.org>

	* checkedwidgets.C (setWidget): Don't set icol2 to alert_col when
	the input is invalid.

2002-10-23  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormBibtex.C: remove two redundant header files.

	* FeedbackController (postMessage): s/FL_BLACK/FL_LCOL/

	* FormDocument.C: disable resizing of the dialog.
	Remove redundant counter's bounds/step/precision (is set in
	form_document.fd).

	* FormDocument.[Ch] (CheckDocumentInput): removed. Use the
	button controller and the checkedGlueLength class to check the validity
	of any LyXGlueLengths.

	* forms/form_document.fd: prettify.

2002-10-23  Rob Lahaye  <lahaye@snu.ac.kr>

	* forms/form_bibtex.fd:
	* forms/form_citation.fd: less bulky with proper gravity/resize policy
	 and many other GUI layout improvements.

	* FormBibtex.C: remove choose button, select directly instead;
	add Restore/OK/Apply/Cancel buttons; modify tooltip-texts;

	* FormCitation.C: (trivial) rearrange lines; remove redundant check
	button settings (do that in form_citation.fd instead).

2002-10-22  Rob Lahaye  <lahaye@snu.ac.kr>

	* FeedbackController.C: use the NORMAL rather than the SMALL sized font
	to display messages in the message_widget.

	* FormGraphics.h: remove un-needed #include.

	* FormPrint.C (build): minimal change due to change in
	RadioButtonGroup's semantics.

	* RadioButtonGroup.[Ch]: something of a clean-up.
	(explicit c-tor): removed.
	(reset): removed.
	(set): new method, accepting an FL_OBJECT *.

	* xforms_helpers.[Ch] (setEnabled): change lcol setting from
	FL_BLACK to FL_LCOL.
	(getString) use line=0 instead of line=-1 as default case;

2002-10-22  Rob Lahaye  <lahaye@snu.ac.kr>

	* forms/form_aboutlyx.fd: implement the text widgets as browsers

	* FormAboutlyx.C (build): Rearrange tabs. Add Build-info. Prettify.

2002-10-22  Angus Leeming  <leeming@lyx.org>

	* Makefile.am (libxforms_la_SOURCES): arrange list into alphabetical
	order once again.
	Add checkedwidgets.[Ch].

	* checkedwidgets.[Ch]: new files, defining CheckedLyXLength and
	CheckedGlueLength.

	* xforms_helpers.[Ch] (isActive): new helper function.

2002-10-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* xfont_loader.C (doLoad): typo

2002-10-21  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormVCLog.C (update): modify, use ostringstream

	* FormPreamble.C (apply): modify

	* FormLog.C (update): modify

	* FormAboutlyx.C (build): use ostringstream, modify

2002-10-21  Angus Leeming  <leeming@lyx.org>

	* xformsImage.C (rotate): pass ints to flimage_rotate, fixing compiler
	warning.

2002-10-21  Garst Reese <reese@isn.net>

	* xformsImage.C (getWidth): work-around xforms bug enabling the display
	of the edges of an image.

2002-10-21  Rob Lahaye  <lahaye@snu.ac.kr>

	* Tooltips.C (init): pass the /formatted/ string to xforms...

2002-10-20  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* XLyXKeySym.h: rename private var keysym to keysym_, add accessor
	function keysym().

	* FormDocument.C (class_apply): setMessage change
	(apply): ditto

2002-10-16  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Menubar_pimpl.C (create_submenu): do not create a "More..."
	submenu just for one entry

2002-10-15  Angus Leeming  <leeming@lyx.org>

	* XWorkArea.C (work_area_handler): Pass the mouse button correctly to
	dispatch on LFUN_MOUSE_MOTION.

2002-10-15  Angus Leeming  <leeming@lyx.org>

	* FormCitation.C (updateBrowser): deselect the highlighted item when
	updating the browser.

2002-10-14  Dekel Tsur  <dekelts@tau.ac.il>

	* FontInfo.C (query): Ignore bogus matches of scalable fonts.

2002-10-08  Angus Leeming  <leeming@lyx.org>

	* FeedbackController.C (PrehandlerCB):
	* combox.C (show): use fl_get_winorigin in preference to
	fl_get_wingeometry.

2002-10-14  Angus Leeming  <leeming@lyx.org>

	* Tooltips.h (set) make it private:
	* Tooltips.C (set): don't forget to initialise the FL_OBJECT!

	* FormBase.C (show):
	* FormBaseDeprecated.C (show): no longer invoke Tooltips::set().

2002-10-14  André Pönitz <poenitz@gmx.net>

	* FormDocument.C: somebody else's fix for a hard lockup

2002-10-09  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* xforms_helpers.C (formatted): fix small typo, spotted by Rob
	Lahaye

2002-10-08  Dekel Tsur  <dekelts@tau.ac.il>

	* FormRef.C (update): Always list the labels of the current buffer.

2002-10-07  Angus Leeming  <leeming@lyx.org>

	* FormBase.C (hide):
	* FormBaseDeprecated.C (hide): wrap that call to fl_hide_tooltip inside
	#ifdef required xforms version.

2002-10-04  Angus Leeming  <leeming@lyx.org>

	* form_graphics.fd: un-cripple dialog by reverting yesterday's change.

	* FeedbackController.C (PrehandlerCB): reduce the necessary calcs to the
	bare minimum.

	* combox.[Ch]: the optional tabfolder args passed to the c-tor are
	no longer necessary and are scrapped.
	(show): use the same, minimal fix as in PrehandlerCB to ensure that
	the form's x,y coords are up to date. In truth, this fix should be
	redundant, but not all "enter" events are caught by the prehandler.

	* FormDocument.C (build):
	* FormPreferences.C (xyz::build): no longer pass the tabfolder to the
	combox c-tor.

2002-10-03  Angus Leeming  <leeming@lyx.org>

	* FeedbackController.C (PrehandlerCB): re-compute the folder->x,
	folder->y coords of a tabfolder when the mouse enters the folder.
	This works around an xforms bug that manifests itslf as tooltips
	appearing in their original position after the dialog has been
	moved aside.

	* FormAboutlyx.C (build):
	* FormDocument.C (build):
	* FormGraphics.C (build):
	* FormPreferences.C (build):
	* FormTabular.C (build): set the prehandler for tabfolders.

	* form_graphics.fd: move the edge of the tabfolder in by 5 pixels
	to ensure that the tabfolder prehandler is called.

2002-10-03  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (start): ev.xany.type is of type 'int' so print it as a
	decimal not a hexadecimal.

	* FormBase.C (hide):
	* FormBaseDeprecated.C (hide): ensure that tooltips are hidden along
	with the dialog.

2002-09-30  Angus Leeming  <leeming@lyx.org>

	* FormBase.[Ch]:
	* FormBaseDeprecated.[Ch]:
	(icon_pixmap_, icon_mask_) new member variables.
	(prepare_to_show) new method, containing initialisation code invoked
	the first time show() is called.
	(d-tor) destroy icon_pixmap_, if it exists.
	(show) ensure that the icon pixmap is generated only once.

	* XFormsView.[Ch]:
	(icon_pixmap_, icon_mask_) new member variables.
	(d-tor) destroy icon_pixmap_, if it exists.
	(create_form_form_main) assign the generated pixmap to the new
	icon_pixmap_ member variable.

2002-09-26  Angus Leeming  <leeming@lyx.org>

	* xscreen.h: don't #include "XWorkArea.h", forward-declare XWorkArea.

2002-09-25  Angus Leeming  <leeming@lyx.org>

	* Dialogs2.C:
	* Dialogs_impl.h:
	* FormWrap.h:
	* LyXKeySymFactory.C:
	* LyXScreenFactory.C:
	* Menubar_pimpl.[Ch]:
	* Toolbar_pimpl.[Ch]:
	* WorkAreaFactory.C:
	* lyx_gui.C: doxygen fixes.

2002-09-25  Dekel Tsur  <dekelts@tau.ac.il>

	* forms/form_wrap.fd: floatflt has no "Inner" placement option.
	The possible placements are default/outer/left/right.

2002-09-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am (INCLUDES): loose SIGC_INCLUDES

2002-09-20  Martin Vermeer  <martin.vermeer@hut.fi>

	* forms/form_maths_space.fd
	* FormMathSpaces: remove access to internal macros \lyx*space

2002-09-16  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Toolbar_pimpl.C (layoutSelected): when selecting a layout in
	combox, make sure the corresponding shortcut is shown in
	minibuffer

2002-09-16  John Levon  <levon@movementarian.org>

	* forms/form_character.fd: Escape to cancel

2002-09-13  Rob Lahaye  <lahaye@snu.ac.kr>

	* forms/form_graphics.fd:
	* forms/form_print.fd: minor polishing of layout

2002-09-12  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormGraphics.C: improve tooltips text

	* forms/form_graphics.fd: cosmetic change in file tab

2002-09-12  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormTexinfo.C:
	* forms/form_filedialog.fd:
	* forms/form_texinfo.fd: less bulky xforms dialogs.

2002-09-12  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormPrint.[Ch]:
	* forms/form_print.fd: new xforms print dialog layout

2002-09-10  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormGraphics.C: use "Default" as first item in Origin of rotation

	* forms/form_graphics.fd: improved layout

2002-09-11  Angus Leeming  <leeming@lyx.org>

	* FormInclude.C (update): remove lyxerr call.

2002-09-09  John Levon  <levon@movementarian.org>

	* FormInclude.C:
	* forms/form_include.fd: reorder, remove noload

2002-09-09  John Levon  <levon@movementarian.org>

	* FormMathDeco.C: move latex_deco into ControlMath

2002-09-09  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormBase.C:
	* FormBaseDeprecated.C: use "LyX: " prefix to dialog window title;
	set minimized title (without "LyX: ") and its icon.

	* FormSpellchecker.C:
	* FormSearch.C:
	* FormThesaurus.C: remove "LyX: " from dialog window title.

	* FormRef.[Ch]: add proper switch for "Go to" button.

	* FormBibitem.C:
	* forms/form_bibitem.fd:
	* FormCitation.C:
	* forms/form_citation.fd:
	* FormRef.C:
	* forms/form_ref.fd:
	* FormSpellchecker.[Ch]:
	* forms/form_spellchecker.fd:
	* forms/form_toc.fd:
	* forms/form_url.fd: less bulky dialogs; use proper gravity and
	resize policy; add few tooltips.

2002-09-06  Alain Castera  <castera@in2p3.fr>

	* FormTabular.C: leave the horizontal alignment buttons alive
	  on fixed width columns

2002-09-05  Angus Leeming  <leeming@lyx.org>

	* all files: modify the headers as discussed on the list.

2002-08-30  John Levon  <levon@movementarian.org>

	* MathsCallbacks.h:
	* forms/fdfix.sh: fix build from last change

2002-08-30  John Levon  <levon@movementarian.org>

	* MathsSymbols.h:
	* MathsSymbols.C:
	* FormMathsPanel.h:
	* FormMathsPanel.C: remove MathsSymbols to controllers/

2002-08-29  John Levon  <levon@movementarian.org>

	* MathsSymbols.h:
	* MathsSymbols.C:
	* Toolbar_pimpl.C: use XPMs for toolbar instead of gook

2002-08-29  John Levon  <levon@movementarian.org>

	* MathsSymbols.C: implement splitting for AMS. nrel
	  is broken

2002-08-29  John Levon  <levon@movementarian.org>

	* MathsSymbols.C: fix two crash bugs

2002-08-28  Rob Lahaye  <lahaye@snu.ac.kr>

	* forms/form_graphics.fd:
	* FormGraphics.C: re-implement the use of text_warning box.

	* forms/form_preferences.fd:
	* FormPreferences.C: use displayTranslator, change display mode
	from four radio buttons into one choice button.

	* FormBibtex.C: fix SIGSEGV with [Choose] when no style is selected.

2002-08-24  John Levon  <levon@movementarian.org>

	* xformsImage.C: fix build, add FIXME for Rob

2002-08-23  Rob Lahaye  <lahaye@snu.ac.kr>

	* FormGraphics.[Ch]:
	* forms/form_graphics.fd: Implement new graphics dialog

	* FormPreferences.C: use display_graphics "monochrome|grayscale|none"
	instead of "mono|gray|no".

2002-08-22  John Levon  <levon@movementarian.org>

	* xfont_loader.C: show name of failed font load (from Mikhail Teterin)

2002-08-20  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormMathsBitmap.h: include boost/shared_ptr.hpp, remove include
	for support/smart_ptr.h, change use of smart ptr to boost version

	* FormMathsBitmap.C (FormMathsBitmap): do not initialize form_ (it
	is a smart_ptr)
	(build): use nifty 3rd arg of smart_ptr
	(addBitmap): ditto

2002-08-20  John Levon  <levon@movementarian.org>

	* lyx_gui.C: estimate default DPI

2002-08-16  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C:
	* Dialogs2.C:
	* Dialogs_impl.h: use the qt2 scheme of vars not pointer to vars.

	* Dialogs3.C: removed.

2002-08-16  Angus Leeming  <leeming@lyx.org>

	* Tooltips.C (c-tor): don't forget the "#ifdef crap xforms" code next
	time, old boy.

2002-08-16  Michael Schmitt <Michael.Schmitt@teststep.org>

	* FormRef.C (update): Synchronise the buffer choice and the list of
	labels if the dialog is re-opened.

2002-08-15  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C:
	* Dialogs2.C:
	* Dialogs3.C:
	* Dialogs_impl.h: the brave new world of Dialog creation.

	* FormBaseDeprecated.C:
	* FormFiledialog.C:
	* XFormsView.C: Dialogs::redrawGUI is now a method not a signal.

	* guiapi.C: discard.

	* Makefile.am: add new files Dialogs[23].C Dialogs_impl.h and
	remove guiapi.C.

2002-08-15  Angus Leeming  <leeming@lyx.org>

	* lots: changed my email address to leeming@lyx.org.

	* FormBaseDeprecated.[Ch]: return it to private derivation from
	boost::noncopyable.

	* FormBaseDeprecated.[Ch]:
	* FormDocument.[Ch]:
	* FormInset.[Ch]:
	* FormMaths*.[Ch]:
	* FormPreferences.[Ch]:
	* FormTabular.[Ch]:
	pass and store references to LyXView and Dialogs, not pointers.

	* FormInset.[Ch]: remove class FormCommand.

2002-08-14  Angus Leeming  <leeming@lyx.org>

	* FormBaseDeprecated.h: public derivation from boost::noncopyable.

	* forms/form_document.fd: remove declaration of file 'psnfss2.xpm'

2002-08-14  Angus Leeming  <leeming@lyx.org>

	* FormBaseDeprecated.h: no longer derives from DialogBase, but instead
	derives directly from boost::noncopyable.
	(show): made public.

	* FeedbackController.h: rearrange #includes.

	* FormDocument.C:
	* FormMathsDeco.C:
	* FormMathsDelim.C:
	* FormMathsMatrix.C:
	* FormMathsPanel.C:
	* FormTabular.C: remove #include "Dialogs.h"

	* FormMathsBitmap.C: remove #include "Dialogs.h", "LyXView.h".

	* FormPreferences.C: rearrange #includes.

	* FormTabular.h (showInset, updateInset): make public.

	* FormDocument.C (build): enable the bmtable to find the right file!

	* guiapi.C (gui_ShowInfo): removed.

2002-08-13  André Poenitz  <poenitz@gmx.net>

	* Toolbar_pimpl.C: small cleanup

2002-08-13  Angus Leeming  <leeming@lyx.org>

	* FileDialog.C:
	* FormMathsDelim.C:
	* FormMathsMatrix.C:
	* FormMathsPanel.C:
	* FormPreferences.C:
	* Menubar_pimpl.C:
	* Toolbar_pimpl.C:
	* XFormsView.C:
	* lyx_gui.C:
	changes due to the changed LyXView interface that now returns references
	to member variables not pointers.

2002-08-13  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C (create_submenu): fix code to disable submenu
	entries.

2002-08-12  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* FormDocument.C (saveParamsAsDefault): use proper constructment

2002-08-12  Angus Leeming  <leeming@lyx.org>

	* FormCitation.C:
	* FromRef.C: change due to change of ControlConnections method name,
	isReadonly() -> bufferIsReadonly().

	* FormIndex.C:
	* FormPrint.C: no longer #include "frontends/LyXView.h".

2002-08-12  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (c-tor): connect the Tooltips::toggleEnabled method to
	the Dialogs::toggleTooltips signal.

	* FormAboutlyx.[Ch]:
	* FormBibitem.[Ch]:
	* FormBibtex.[Ch]:
	* FormBrowser.[Ch]:
	* FormCharacter.[Ch]:
	* FormCitation.[Ch]:
	* FormERT.[Ch]:
	* FormError.[Ch]:
	* FormExternal.[Ch]:
	* FormFloat.[Ch]:
	* FormForks.[Ch]:
	* FormGraphics.[Ch]:
	* FormInclude.[Ch]:
	* FormIndex.[Ch]:
	* FormLog.[Ch]:
	* FormMinipage.[Ch]:
	* FormParagraph.[Ch]:
	* FormPreamble.[Ch]:
	* FormPrint.[Ch]:
	* FormRef.[Ch]:
	* FormSearch.[Ch]:
	* FormSendto.[Ch]:
	* FormShowFile.[Ch]:
	* FormSpellchecker.[Ch]:
	* FormTabularCreate.[Ch]:
	* FormTexinfo.[Ch]:
	* FormThesaurus.[Ch]:
	* FormToc.[Ch]:
	* FormURL.[Ch]:
	* FormVCLog.[Ch]:
	No longer pass Controller or Dialogs to the c-tor.
	No longer forward-declare Dialogs.

	* FormBase.[Ch]: derives from ViewBase directly.
	No longer passed ControlButtons & or Dialogs &.
	(bc): new method, enabling the daughter classes to access the
	ButtonController.
	(C_FormBaseApplyCB):
	(C_FormBaseOKCB):
	(C_FormBaseCancelCB):
	(C_FormBaseRestoreCB):
	(C_WMHideCB): changes due to a change in the ViewBase class.

	* Toolbar_pimpl.[Ch] (c-tor):
	* Tooltips.[Ch] (c-tor): no longer passed a Dialogs &.

	* Tooltips.h (toggleEnabled): made public for the Dialogs c-tor.

	* XFormsView.[Ch] (c-tor, create_form_form_main): no longer pass
	Dialogs & to the Toolbar.

	* guiapi.C: access the controller methods by explicit invocation of the
	controller.

2002-08-12  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* FormDocument.C (saveParamsAsDefault): ParagraphList changes
	(class_apply): ditto

2002-08-08  John Levon  <levon@movementarian.org>

	* Menubar_pimpl.C:
	* Toolbar_pimpl.C: lyxaction cleanup

2002-08-08  John Levon  <levon@movementarian.org>

	* forms/form_thesaurus.fd: allow Esc to close dialog

2002-08-02  Angus Leeming  <leeming@lyx.org>

	* FormInclude.C:
	* forms/form_include.fd: added a check_preview button and controlling
	logic. The user can now choose to preview a \input-ed file.

2002-08-02  Angus Leeming  <leeming@lyx.org>

	* FormTabular.C (input):
	* XMiniBuffer.C (show_info): changes due to LyXView::view() now
	returning a boost::shared_ptr.

2002-08-01  John Levon  <levon@movementarian.org>

	* FormDocument.C: writeFile() change

2002-08-01  John Levon  <levon@movementarian.org>

	* FormPreferences.h:
	* FormPreferences.C:
	* guiapi.C:
	* forms/form_spellchecker.fd: remove options from spellchecker

2002-07-30  John Levon  <levon@movementarian.org>

	* lyx_gui.C: implement remove_read_callback()

2002-07-26  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* XWorkArea.C (work_area_handler): change type of
	scrollbar_value_old to double

2002-07-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* several files: strip,frontStrip -> trim,ltrim,rtrim

2002-07-25  John Levon  <levon@movementarian.org>

	* lyx_gui.C:
	* XWorkArea.C: using dec

2002-07-25  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormFloat.C: Fixed and better GUI-logic

2002-07-25  André Pönitz <poenitz@gmx.net>

	* lyx_gui.C:
	* XWorkArea.C: add 'dec' to switch back to decimal output

2002-07-25  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C: do not include "toc.h" and "FloatList.h".
	(create_submenu): add parameter ``all_disabled'' which will be
	false only if the menu contains at least one working item. Disable
	submenus who have all_disabled true. What I could not do, though
	is disable menubar items when all the menu is disabled (because I
	know about it only when I try to open this menu)

2002-07-25  Herbert Voss  <voss@perce.de>

	* FormBibtex.C (update): clear browser first

2002-07-25  Juergen Vigna  <jug@sad.it>

	* XWorkArea.C (work_area_handler): set y_old and x_old to some
	values in the MOUSE or DRAG even.

2002-07-25  John Levon  <levon@movementarian.org>

	* forms/form_float.fd: "Span columns"

2002-07-25  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormFloat.C:
	* forms/form_float.fd: Implement default placement checkbox;
	some minor tweaks

2002-07-25  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C (create_submenu): add the code for splitting too
	long menus here. Remove call to add_toc.

	* Menubar_pimpl.C (add_toc):
	(add_toc2): remove. This code is now in MenuBackend; now, all the
	frontend has to do is to support the item kinds Command, Submenu
	and Separator. The rest is done transparently.

2002-07-24  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormFloat.C:
	* forms/form_float.fd: Implement Wide Float toggle and !-option;
	disable h and b with wide floats

2002-07-24  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C (create_submenu): updates due to changes in
	menubackend.

2002-07-22  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* XMiniBuffer.h: add connection objects, and use them
	* XMiniBuffer.C (XMiniBuffer): here and
	(dd_init): here

	* XFormsView.h: add connection objects, use them
	* XFormsView.C (XFormsView): here

2002-07-22  John Levon  <moz@compsoc.man.ac.uk>

	* XFormsView.C: don't call toolbar_->set()

	* Toolbar_pimpl.h:
	* Toolbar_pimpl.C: rationalise code, remove half-working
	  update stuff into simple add()

2002-07-22  John Levon  <moz@compsoc.man.ac.uk>

	* lyx_gui.C: add lyx_gui::exit()

2002-07-22  John Levon  <moz@compsoc.man.ac.uk>

	* Toolbar_pimpl.h:
	* Toolbar_pimpl.C: remove ->push()

2002-07-22  Herbert Voss  <voss@lyx.org>

	* FormGraphics.C: add tooltips, changesize_type to size_kind.
	some rearrangements to the code

2002-07-21  John Levon  <moz@compsoc.man.ac.uk>

	* FormToc.C: std:: fix

2002-07-21  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.h: do not include "MenuBackend.h" and "commandtags.h"

	* Toolbar_pimpl.h: do not include "combox.h", "ToolbarDefaults.h"
	and "commandtags.h"

	* Toolbar_pimpl.C: use BufferParams::getLyXTextClass

	* FormSendto.C:
	* FormParagraph.C:
	* FormMinipage.C:
	* FormGraphics.C:
	* FormForks.C:
	* FormCitation.C:
	* DropDown.C: update to use new getString and getVector

	* xforms_helpers.[Ch]: replace getVectorFromChoice and
	getVectorFromBrowser by getVector; replace getStringFromInput,
	getStringFromBrowser and getSelectedStringFromBrowser with
	getString, which works with input, choice and browser objects

	* Menubar_pimpl.C:
	* FormToc.C: update to use new toc.[Ch]

2002-07-21  John Levon  <moz@compsoc.man.ac.uk>

	* XFormsView.C: move autosave timer to LyXView.C

2002-07-20  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.[Ch]: remove support for multiple menubars

2002-07-20  John Levon  <moz@compsoc.man.ac.uk>

	* XMiniBuffer.h:
	* XMiniBuffer.C: cleanup, make start/end history work as before

2002-07-20  John Levon  <moz@compsoc.man.ac.uk>

	* FormMathsDelim.C:
	* FormMathsMatrix.C: fix dispatch calls nicely

2002-07-20  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C (add_toc): avoid crash when there is no document
	open

	* Menubar_pimpl.[Ch]: turn owner_ into a XFormsView, to avoid casting

2002-04-28  Herbert Voss  <voss@perce.de>

	* FormGraphics.C:
	* forms/form_graphics.fd: add a new check button for LyXAspectRatio.

2002-07-19  John Levon  <moz@compsoc.man.ac.uk>

	* DropDown.h:
	* DropDown.C: remove unneeded LyXView *

	* XFormsView.h:
	* XFormsView.C: changes for minibuffer rework

	* XMiniBuffer.h:
	* XMiniBuffer.C: use ControlCommandBuffer. Move relevant
	  old code to here

	* lyx_gui.C: add FIXME

2002-07-19  John Levon  <moz@compsoc.man.ac.uk>

	* FormMathsDelim.C:
	* FormMathsMatrix.C: fix dispatch calls

2002-07-18  John Levon  <moz@compsoc.man.ac.uk>

	* Menubar_pimpl.C:
	* Toolbar_pimpl.C:
	* lyx_gui.C:
	* XformsView.C: remove initMiniBuffer(), verboseDispatch()

	* xfont_loader.C: remove call to messagePush(),Pop()

2002-07-17  Dekel Tsur  <dekelts@tau.ac.il>

	* FormFiledialog.C: Add missing #include

2002-07-17  Angus Leeming  <leeming@lyx.org>

	* xformsImage.C (init_graphics): disable direct loading of PostScript
	files. It's more effort than it's worth.

2002-07-17  André Pönitz <poenitz@gmx.net>

	* FormPreferences.C: add help for $$s feature, lots of stupid "code
	 beautifying"

2002-07-17  John Levon  <moz@compsoc.man.ac.uk>

	* FormPreferences.C:
	* forms/form_preferences.fd: remove 2nd exit confirmation

2002-07-17  John Levon  <moz@compsoc.man.ac.uk>

	* XFormsView.h:
	* XFormsView.C: hook up view_state_changed

2002-07-16  Angus Leeming  <leeming@lyx.org>

	* XPainter.C: add some #ifdef ugliness to enable the home grown image
	loader to work too.

2002-07-16  André Pönitz <poenitz@gmx.net>

	* FormFiledialog.[Ch]: rename member variables, rewrite some functions

2002-07-15  John Levon  <moz@compsoc.man.ac.uk>

	* xformsImage.h:
	* xformsImage.C: add isDrawable()

	* XPainter.C: use static cast to xformsImage

2002-07-14  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (C_read_callback): give it extern "C" linkage.

2002-07-14  John Levon  <moz@compsoc.man.ac.uk>

	* lyx_gui.C: add set_read_callback()

2002-07-12  John Levon  <moz@compsoc.man.ac.uk>

	* lyx_gui.C: move init_graphics() into setup

2002-07-12  Angus Leeming  <leeming@lyx.org>

	* xformsImage.C (width): apply fudge irrespective of library version.

2002-07-12  John Levon  <moz@compsoc.man.ac.uk>

	* Toolbar_pimpl.h:
	* Toolbar_pimpl.C: remove unused (de)activate()

2002-07-12  John Levon  <moz@compsoc.man.ac.uk>

	* lyx_gui.C: implement update_fonts(), font_available()

2002-07-12  John Levon  <moz@compsoc.man.ac.uk>

	* lyx_gui.C: add update_color()

2002-07-11  John Levon  <moz@compsoc.man.ac.uk>

	* FormPreferences.C:
	* forms/form_preferences.fd: remove file->new asks for name

2002-07-11  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h:
	* XWorkArea.C: do a copy area on redraw when no geometry change

2002-07-11  Herbert Voss  <voss@perce.de>

	* FormGraphics.C (input): test also the height for %-value, when
	importing the latex-value into the lyx-view

2002-07-10  Andrew Zabolotny  <zap@cobra.ru>

	* XMiniBuffer.C (peek_event):
	* combox.C (peek_event):
	* DropDown.C (peek): support keypad keys

2002-07-09  John Levon  <moz@compsoc.man.ac.uk>

	* xscreen.C: add const

2002-07-09  Angus Leeming  <leeming@lyx.org>

	* xformsImage.C (scale): use boost::tie.
	(width): fudge to fix bug in image width for xforms <= 0.89.6.

2002-07-08  Angus Leeming  <leeming@lyx.org>

	* forms/fdfix.sh: whitespace.

2002-07-05  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (hexname): new function.

2002-07-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* lyx_gui.C (init_graphics): boost::function assign, not
	boost::signal connect.

	* combox.C (Combox): what remove does is now done implicitly from
	XFormsView destructor.

	* XMiniBuffer.C (peek_event): comment last arg to avoid warning.

	* XFormsView.h: form_ is now a raw pointer not a scoped_ptr.

	* XFormsView.C (XFormsView): hide and free form_
	(getForm): raw pointer return
	(create_form_form_main): raw pointer set

	* Toolbar_pimpl.C (toolbarItem): whet clean does is now done
	implicitly from XFormsView destructor.

2002-07-04  André Pönitz <poenitz@gmx.net>

	* FormInset.[Ch]: reduce #include depencies

	* guiapi.C: suppress compiler warning

2002-06-27  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormInclude.C: Comment out unneeded and wrong update mechanism
	(related to bug #459)
	*forms/form_include.fd: define missing callbacks (bug #459)

2002-07-03  Vitaly Lipatov  <LAV@VL3143.spb.edu>

	* FormDocument.C (build): add pt154 encoding

2002-07-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Tooltips.C (Tooltips): add Dialogs to constructor arg.

2002-07-01  Angus Leeming  <leeming@lyx.org>

	* forma/Makefile.am: keep "make clean" consistent with Kayvan's fix.

2002-07-01  Kayvan A. Sylvan  <kayvan@sylvan.com>

	* forms/fdfix.sh: fix compilation failure on WinXP.

2002-06-28  Angus Leeming  <leeming@lyx.org>

	* XPainter.[Ch]: changes associated with the name change
	grfx::GImage -> grfx::Image.

	* xformsGImage.[Ch]: deleted.
	* xformsImage.[Ch]: new files, reflecting changed class name.

	* Makefile.am:
	* lyx_gui.C: associated changes.

2002-06-27  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormPreferences.C
	* forms/formPreferences.fd: Add a checkbox for Andrés new toy (preview)

2002-06-26  Angus Leeming  <leeming@lyx.org>

	* xformsGImage.C (load, setPixmap): changes aassociated with moving
	grfx::DisplayType out of grfx::GParams.

2002-06-25  Angus Leeming  <leeming@lyx.org>

	* FormPreferences.C (LnFmisc::apply): Comment out the call to
	grfx::GCache::changeDisplay. The method no longer exists now that the
	pixmap generation part of the graphics loader has been moved into
	InsetGraphics.

2002-06-24  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Toolbar_pimpl.C: layout as layout

2002-06-21  Angus Leeming  <leeming@lyx.org>

	* xscreen.C: add a using std::endl directive.

2002-06-21  John Levon  <moz@compsoc.man.ac.uk>

	* FormPreferences.h:
	* FormPreferences.C:
	* forms/form_preferences.fd: remove show_banner, display_shortcuts

2002-06-21  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h:
	* XWorkArea.C: remove splash, should be handled in
	  LyXScreen::greyOut()

2002-06-21  John Levon  <moz@compsoc.man.ac.uk>

	* forms/form_texinfo.fd: "Update List" not "Rescan"

2002-06-20  John Levon  <moz@compsoc.man.ac.uk>

	* guiapi.C: createIndex() changed

2002-06-20  John Levon  <moz@compsoc.man.ac.uk>

	* FormBibtex.C: use new lyx::eliminate_duplicates

2002-06-20 Herbert Voss  <voss@perce.de>

	* FormBibtex.C:
	* forms/form_bibtex.fd: give better support for choosing the
	bibstyle (new browserfield with the available bibstyles).
	move some code of ControlTexinfo into a helper
	file support/tex-helpers to use some of the functions

2002-06-20  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h:
	* XWorkArea.C: remove unused code, name change

2002-06-20  John Levon  <moz@compsoc.man.ac.uk>

	* XLyXKeySym.h:
	* XLyXKeySym.C: whitespace

2002-06-20  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h: remove focus stuff, greyOut()

2002-06-19  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.C: remove focus/unfocus events

2002-06-19  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h: remove unused methods

2002-06-15  Martin Vermeer  <martin.vermeer@hut.fi>

	* FormMathsDelim.C: Redesign of Delimiters dialogue in mathed.
	  Cleaner, smaller.

2002-06-19  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h: remove unused width()

2002-06-18  John Levon  <moz@compsoc.man.ac.uk>

	* guiapi.C: fix compile with libAiksaurus

2002-06-17  Herbert Voss  <voss@perce.de>

	* forms/.cvsignore: ignore the *.lo files

2002-06-18  John Levon  <moz@compsoc.man.ac.uk>

	* FormSearch.h:
	* FormSearch.C: focus and select search string on open (bug #77)

2002-06-16  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* changes to let the function setup happen in frontends

	* guiapi.C: new file

2002-06-16    <alstrup@diku.dk>

	* xscreen.C (draw): After drawing, we wait for X with XSync..

	* XWorkArea.[Ch]: Xforms implementation of GUII WorkArea.

	* XPainter.[Ch]: Use XWorkArea instead of WorkArea.

	* xscreen.[Ch]: Use XWorkArea instead of WorkArea.

	* WorkAreaFactory.C: New file for GUII WorkArea.

	* LyXScreenFactory.C: WorkArea GUIIized.

2002-06-15  Lyx Development team  <larsbj@birdstep.com>

	* LyXKeySymFactory.C: Added XForms implementation.

	* XLyXKeySym.[Ch]: Added XForms implementation of the LyXKeySym
	stuff.

	* XWorkArea.[Ch]: Use LyXKeySym in signal interface for keypress.

2002-06-14  Lyx Development team  <lyx@electronia>

	* LyXScreenFactory.C: Implementation for XForms.

	* xscreen.[Ch]: Added implementation of LyXScreen for XForms,
	called XScreen (surprise!).

2002-06-14  Angus Leeming  <leeming@lyx.org>

	* forms/Makefile.am: make the .Ch files dependent on the fdfix files.

	* fdfix.sh: test whether "fdesign -convert file.fd" succeeds and
	if not, exit gracefully.
	Test whether the newly generated .h file is different from the existing
	one and if not discard it to prevent unnecessary recompilation in the
	xforms directory.

2002-06-14  Angus Leeming  <leeming@lyx.org>

	* FormPreferences (XYZ::build): pass "&parent_" to build_xyz, not
	"this", ro we'll get a crash following FormBaseDeprecated's
	C_PrehandlerCB cast of ob->form->u_vdata to FormBaseDeprecated *.

	This is the only form in which all the folders are not built in the
	parent class direct, so this is the only one that should suffer from
	this bug.

2002-06-12  Angus Leeming  <leeming@lyx.org>

	* form_*.[Ch]: removed from the repository.
	* forms/Makefile.am:
	* forms/fdfix.sh: changes to generate form_*.[Ch] automatically.

	* forms/form_*.fd: use a consistent naming convention for the fdesign
	generated FD_xyz structs. For example, form_aboutlyx.h now contains:
	struct FD_aboutlyx;
	struct FD_aboutlyx_version;
	struct FD_aboutlyx_credits;
	struct FD_aboutlyx_license;

	* forms/fdfix[ch].sed: no longer write the build routines for the
	fdesign generated FD_xyz structs as member methods of the controlling
	FormXyz class. It's unnecessary and needs patch files in addition to
	the sed magic to work properly. Thus, the structs above are now
	generated by routines
	FD_aboutlyx * build_aboutlyx(void *);
	FD_aboutlyx_version * build_aboutlyx_version(void *);
	FD_aboutlyx_credits * build_aboutlyx_credits(void *);
	FD_aboutlyx_license * build_aboutlyx_license(void *);

	* forms/README: document all the above.

	* forms_fwd.h: new file to forward declare FL_OBJECT, FL_FORM.

	* forms_gettext.[Ch]: new files containing only the scex, idex functions
	stored previously in xforms_helpers.[Ch].

	* xforms_helpers.[Ch]: removed scex, idex functions.

	* Most other files: minor changes associated with the above.

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h:
	* XWorkArea.C: move scrolling logic into here

	* ColorHandler.h:
	* ColorHandler.C:
	* XPainter.h:
	* XPainter.C: remove unused stuff, s/PainterBase/Painter/,
	s/Painter/XPainter/

2002-06-12  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (parse_init): exit isn't in namespace lyx_gui!

2002-06-12  Angus Leeming  <leeming@lyx.org>

	* FormParagraph.C: include ParagraphParameters.h now that
	ParagraphParameters is forward declared in ControlParagraph.h.

2002-05-24  Martin Vermeer  <martin.vermeer@hut.fi>

	* FormMathsDelim.C: fix delimiter pre-display rendering
	  mess-up bug (354)

2002-06-12  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* xformsGImage.h: do not rely on FLIMAGE_H_LOCATION anymore

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* XFormsView.h:
	* XFormsView.C: move init() back to LyXView

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* GUIRunTime.C: remove in favour of ...

	* Makefile.am:
	* lyx_gui.C: ... GUI startup namespace

	* XFormsView.h:
	* XFormsView.C: change show() prototype

	* XPainter.C:
	* xfont_loader.C: don't use GUIRunTime any more

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* ColorHandler.C:
	* FontInfo.h:
	* FormBase.C:
	* FormBaseDeprecated.C:
	* MathsSymbols.C:
	* Menubar_pimpl.C: minor cleanups

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* xformsGImage.C:
	* FontInfo.h:
	* FontInfo.C: some cleanup

	* XWorkArea.C:
	* XFormsView.h:
	* XFormsView.C: some minor cleanup, use of
	  scoped_ptr

	* xfont_loader.h:
	* xfont_loader.C: rename

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h:
	* XWorkArea.C: use workHeight(), remove enter/leaveView

2002-06-11  John Levon  <moz@compsoc.man.ac.uk>

	* XWorkArea.h:
	* XWorkArea.C: remove belowMouse() and active()

2002-06-11  John Levon  <moz@compsoc.man.ac.uk>

	* xfont_metrics.h:
	* xfont_metrics.C:
	* XPainter.C: X-specific metrics stuff moved into xforms/ only

2002-06-11  Edwin Leuven  <leuven@fee.uva.nl>

	* FormParagraph.[Ch]: moved to mvc
	* form_paragraph.[Ch]: idem
	* forms/form_paragraph.fd: idem
	* Dialogs.C: idem

2002-06-06  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* GUIRunTime.C (initialiseGraphics): condition the choice of
	loader on USE_XFORMS_IMAGE_LOADER

	* xformsGImage.C (init_graphics): do not initialize jpeg support
	if not available

2002-06-05  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* xformsGImage.h: use FLIMAGE_H_LOCATION to include flimage.h.

2002-06-10  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormMathsPanel.C: do not include ButtonController.tmpl
	* FormPreferences.C: ditto
	* xformsBC.C: ditto

	* FormBase.h (controller): remove ViewBase:: prefix

2002-06-07  Angus Leeming  <leeming@lyx.org>

	Fixes needed to compile with Compaq cxx 6.5.
	* ColorHandler.C:
	* DropDown.C:
	* FormThesaurus.C:
	all c-library variables have been moved into namespace std.
	Wrap using std::xyz declarations inside a #ifndef CXX_GLOBAL_CSTD block.

	* XFormsView.C: add a using std::abs directive.

	* FormBase.h (FormCB::controller): I have had to prefix base class
	methods with Base:: Wierd!

2002-06-04  John Levon  <moz@compsoc.man.ac.uk>

	* xformsGImage.h: an xforms build fix

2002-06-02  Michael A. Koziarski  <michael@koziarski.com>

	* Tooltips.C: fix some sigc++ -> boost errors.

2002-06-02  John Levon  <moz@compsoc.man.ac.uk>

	* GUIRunTime.C:
	* XFormsView.C:
	* XWorkArea.C:
	* xforms_resize.C:
	* xformsGImage.h: fixes for xforms 1.0 version
	  checking

2002-05-10  Herbert Voss  <voss@perce.de>

	* FormInclude.C (input, update): disable load-button when
	"use verbatim" is enabled

2002-05-30  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FileDialog.C (FileDialog): fix () bug when using new
	* xformsGImage.C (newImage): ditto
	* Toolbar_pimpl.C (Pimpl): ditto
	* xfont_loader.C (getFontinfo): ditto

2002-05-29  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* switch from SigC signals to boost::signals.

	* Dialogs.C (Dialogs): simplify creation of dialog objects a bit.

2002-05-28  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* FormDocument.C (input): set preamble too when saving default
	template.

2002-05-26  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* XWorkArea.h:
	* XWorkArea.C: moved here

2002-05-24  John Levon  <moz@compsoc.man.ac.uk>

	* ColorHandler.h:
	* ColorHandler.C:
	* FontInfo.h:
	* FontInfo.C: moved here

	* xfont_loader.h:
	* xfont_loader.C: moved here

	* Makefile.am:
	* xfont_metrics.C: changes from above

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* XPainter.C:
	* xfont_metrics.h:
	* xfont_metrics.C: moved font metrics code

2002-05-24  Juergen Vigna  <jug@sad.it>

	* FormMathsBitmap.C: include local includes first (selfcontainment)
	* FormMathsBitmap.h: include LString.h first.

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* XFormsView.C:
	* lyxlookup.h:
	* lyxlookup.C:
	* Makefile.am: move here

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* DropDown.h:
	* FileDialog.C:
	* FormBaseDeprecated.C:
	* FormDocument.C:
	* FormIndex.C:
	* FormInset.C:
	* FormMathsBitmap.C:
	* FormMathsDelim.C:
	* FormMathsMatrix.C:
	* FormMathsPanel.C:
	* FormParagraph.C:
	* FormPreferences.C:
	* FormPrint.C:
	* FormTabular.C:
	* Makefile.am:
	* XFormsView.h:
	* XFormsView.C: LyXView is now in frontends/,
	XFormsView moved to here

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* XPainter.h:
	* XPainter.C: move Painter here

2002-05-22  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Menubar_pimpl.C: add scoped_ptr.hpp

	* FormPrint.h: remove smart_ptr.hpp

	* FormBase.h: use more specific smart_ptr header
	* FormCharacter.h: ditto
	* FormMathsStyle.h: ditto
	* FormAboutlyx.h: ditto
	* Menubar_pimpl.h: ditto
	* FormTabular.h: ditto
	* FormPreferences.h: ditto
	* FormParagraph.h: ditto
	* FormMathsSpace.h: ditto
	* FormMathsPanel.h: ditto
	* FormMathsMatrix.h: ditto
	* FormMathsDelim.h: ditto
	* FormMathsDeco.h: ditto
	* FormGraphics.h: ditto
	* FormDocument.h: ditto

2002-05-15  John Levon  <moz@compsoc.man.ac.uk>

	* FormCharacter.C: avoid mis-treating Combox as FL_OBJECT
	  (bug 406) (from Angus)

2002-05-10  Dekel Tsur  <dekelts@tau.ac.il>

	* FormDocument.C (language_apply): Fix language changing.

2002-05-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* Tooltips.C: enable tooltips by default.

2002-05-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* xforms_resize.h: improve the doc++ comments.

	* xforms_resize.C (get_tabfolder_numfolders): new helper function,
	wrapping fl_get_tabfolder_numfolders if it exists and otherwise
	providing this info "somehow".
	Constify a few variables.
	whitespace changes.

2002-05-06  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.C (show):
	* FormBaseDeprecated.C (show): having built the dialog, ensure that it
	is widened sufficiently to display wholely the tabs of any
	tabbed-folders. This is more than just cosmetic as it will prevent
	crashes when selecting a partly displayed tab. (The problem occurs
	with a "long" locale like German and xforms < 0.9999.)

	* xforms_resize.[Ch]: new files doing the grunt work of ascertaining
	by how much a dialog should be scaled to show its tabs fully (should
	it have a tabfolder).

2002-05-08  Garst Reese  <reese@isn.net>

	* FormMathsDeco.C: fix offset to normal size decos.

2002-05-03  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsGImage.C (rotate): work-around xforms bug when rotating by
	270 degs.

2002-05-02  Herbert Voss  <voss@perce.de>

	* FormBibtex.C (apply): a change from a style to an empty one
	(which is valid) wasn't saved

2002-05-02  Herbert Voss  <voss@perce.de>

	* FormGraphics.C (input): do not read bb new when it was changed

2002-04-30  Rob Lahaye <lahaye@users.sourceforge.net>

	* FormDocument.C: "USletter" -> "US letter" etc., "Other" -> "Custom".
	* FormParagraph.C: "Other" -> "Custom"
	* FormPreferences.C: "USletter" -> "US letter" etc.
	* forms/form_document.fd: 'Papersize" -> "Paper size" style consistency
	* forms/form_preferences.fd: style consistency

2002-04-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCharacter.C:
	* FormDocument.C:
	* FormPreferences.C (findPos): remove this template to xforms_helpers.h.

	* xforms_helpers.h (findPos): new template.

	* FormGraphics.h: store a vector<string> origins_ of the LaTeX names
	for the rotation origins.

	* FormGraphics.C: internationalise the rotation origin strings in the
	choice using the same approach as used for the language names in the
	Character, Document, Preferences dialogs.

2002-04-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCharacter.C:
	* FormDocument.C:
	* FormPreferences.C: use the bool flag to getLanguageData as
	appropriate. No longer translate the strings as this is done in
	getLanguageData.

2002-04-29  John Levon  <moz@compsoc.man.ac.uk>

	* FormBibtex.C:
	* FormCitation.C: fix two typos

2002-04-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCharacter.h:
	* FormDocument.h:
	* FormPreferences.h: store a vector<string> lang_ of language
	identifiers.

	* FormCharacter.C: changes associated with frnt::getLanguageData
	returning a vector<LanguagePair> rather than a vector<string>.

	* FormDocument.C:
	* FormPreferences.C: internationalise the languages on display, similar
	to the changes in FormCharacter.C.

2002-04-26  John Levon  <moz@compsoc.man.ac.uk>

	* FormMathsPanel.C: translate Close
	* FormGraphics.C: a little more translation

2002-04-22  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C (apply, input): ensure that the choice is always valid.

	* forms/fdfixc.sed: use "_shortcut" rather than "shortcut" as an
	identifier when performing one of the substitutions. "shortcut" can
	reasonably appear in the label.

2002-04-25  Rob Lahaye <lahaye@users.sourceforge.net>

	* Makefile.am: fix typo "shoul go to" -> "should go to".

	* forms/form_preferences.fd: Modify naming for Converter flags
	("Extra flags") and remove a couple of shortcut-clashes.

	* FormPreferences.C: Modify 'tooltip' info for Converter flags.

2002-04-23  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormBibtex.C: Do not use a blank after the comma for multiple
	bib-files (which is not read in correctly).

2002-04-22  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C (fillChoice): If the getCiteStrings vec is empty,
	disable the choice.

2002-04-19  Juergen Vigna  <jug@sad.it>

	* FormParagraph.C (changedParagraph): don't check for p == par_ as
	we don't set par_ on a changedParagraph call so we don't resete the
	buttons and message when we return to the original paragraph!

2002-04-17  Rob Lahaye <lahaye@users.sourceforge.net>

	* forms/cvsignore: add Makefile.

2002-04-16  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* forms/Makefile.am: make it a dummy make file + extra dist

2002-04-14  Herbert Voss  <voss@perce.de>

	* FormCharacter.C
	* FormExternal.C: adding #include "support/lstrings.h"
	for the getStringFromVector and vice versa

2002-04-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormParagraph.C (changedParagraph): ensure that the warning message
	is removed if the underlying paragraph will accept our changes.

2002-04-09  Herbert Voss  <voss@perce.de>

	* FormGraphics.C: allow rotate-values like 270.1
	* xformsGImage.C (rotate): get the right rotate-angle from
	GraphicParams

2002-04-08  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsGImage.C (clip): no need to check if the width, height are > 0
	because the BoundingBox would be empty() in this weren't the case.

2002-04-08  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormDocument.[Ch]: Add a new method UpdateClassParams
	which is used in CheckChoiceClass to update the fontsizes
	and other necessary stuff (pagestyle) on class change
	(hopefully finally fix bug #306)

2002-04-08  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* forms/Makefile.am (SUFFIXES): instead of .SUFFIXES
	(updatesrc): delete wrong version

2002-04-06  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* forms/.cvsignore: add Makefile.in

	* forms/Makefile.am: make distcheck work, new file

	* Makefile.am: make distcheck work

2002-04-05  Herbert Voss  <voss@perce.de>

	* FormGraphics.C: use correct unit bp (big point - PostScript point)
	for the bounding box values

2002-04-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormGraphics.C (updateBB, input): Don't set the path of the file
	passed to readBB. Let the controller do that because it knows about
	the buffer (and therefore the path) whereas the view has no idea.

2002-04-04  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsGImage.C (clip): ensure that the clipped image has sensible
	dimensions.

2002-04-04  Herbert Voss  <voss@lyx.org>

	* FormGraphics.C (updateBB):  new method to read the BBox when reading
	a new file or changing an existing one.

2002-04-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormCharacter.C (findPos): add a missing typename

2002-04-02  Angus Leeming  <a.leeming@ic.ac.uk>

	* FeedbackController.C:
	* FormBibtex.C:
	* FormCitation.C:
	* FormForks.C:
	* FormMathsBitmap.C:
	* FormPreferences.C:
	* FormSendto.C:
	* FormTexinfo.C:
	* Tooltips.C:
	* xforms_helpers.C: use _() correctly rather than N_().

2002-03-28  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* FormDocument.C (CheckChoiceClass): update the necessary class
	settings on class change (fix bug #306)

2002-03-27  Herbert Voss  <voss@lyx.org>

	* xforms_helpers.h:
	* FormGraphics.C:  change c%, l%, p% t% to col%, line%, page%
	and text%

2002-03-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* MathsSymbols.[Ch]: remove #include "bmtable.h" & "FormMathsPanel.h".
	Move enum MathsCallbackValues from FormMathsPanel.h to MathsSymbols.h.
	The MathsSymbols are now xforms-independent.

	* FormMathsPanel.h: #include MathsSymbols.h for the enum.

2002-03-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C (browse): don't use BrowseRelPath here you noodle!

	* FormGraphics.C (input): don't disallow the input of a file that's
	not there.

2002-03-25  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormParagraph.C (changedParagraph): whitespace.

	* xforms_helpers.C: rearrange #includes.

	* RadioButtonGroup.[Ch]: rename some of the methods. Remove #if 0 code.

	* FormPrint.C: changes associated with changes to RadioButtonGroup.

	* FormGraphics.C:
	* forms/form_graphics.fd: rename some of the widgets.

2002-03-22  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormGraphics.C (input): don't activate the Ok, Apply buttons if the
	file can't be found.

	* FormParagraph.C (changedParagraph): activate the Ok, Apply buttons
	only if the underlying paragraph will accept changes.

	* FormPreferences.C (browse): use Jean-Marc's browseRelFile.

	* xforms_helper.C (updateWidgetsFromLength): fix crash when trying to
	set the choice to a unit that isn't present in the choice!
	Also remove #if 0 sections of code.

2002-03-21  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* several files: ws cleanup

2002-03-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* lots: whitespace changes.

2002-03-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormParagraph.C: a little more factorisation.

2002-03-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* xforms_helpers.C (setCursorColor):
	* Tooltips.C (set): remove XC_question_arrow code.

	* FeedbackController.[Ch] (clearMessage): new method.

	* FeedbackController.C (postMessage): the warning message is now
	displayed in red!

	* FormParagraph.C: define some helper functions to minimise the amount
	of repeated code.

	* FormDocument.C:
	* FormGraphics.C:
	* FormMinipage.C:
	* FormTabular.C: use the FeedbackController to post the warning
	messages.

2002-03-19  André Pönitz <poenitz@gmx.net>

	* FormParagraph.C: whitespace changes

2002-03-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* Tooltips.[Ch] (initTooltip): renamed init. In the 0.89 version, no
	longer call fl_set_object_helper as this routine respects line breaks
	only if the dialog is visible.
	(getTooltip): renamed as get.
	(toggleTooltips): renamed as set and made public.

	* FormBase.C (show):
	* FormBaseDeprecated.C (show): move tooltip-inards into Tooltip.

	* FormBibtex.C (build):
	* FormCitation.C (build):
	* FormForks.C (build):
	* FormSendto.C (build):
	* FormTexinfo.C (build):
	* Toolbar_pimpl.C (set): Tooltip::initTooltip -> Tooltip::init.

	* xforms_helper.C (formatted): rewritten as a one-pass algorithm.

2002-03-18  Juergen Vigna  <jug@sad.it>

	* FormTabular.C (update): deactivate left/right border settings for
	multicolumns if not an outer cell or no parent multicolumn cell.

2002-03-14  John Levon  <moz@compsoc.man.ac.uk>

	* GUIRunTime.C: add spaces to error messages

2002-03-13  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.C (show):
	* FormBaseDeprecated.C (show): set the initial state of the cursor.

	* FormPreferences.C (Colors::apply()): use the helper function
	setCursorColor.

	* Tooltips.C (toggleTooltips): proper fix for those Bad Window messages.
	Can only set the cursor if the dialog is visible.

	* xforms_helpers.[Ch] (setCursorColor): new helper function to set the
	color of all cursors used by LyX.
	(XformsColor::read): use it.

2002-03-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/*.fd (except form_filedialog.fd which is v. scary :-():
	housekeeping changes.
	1. Ensure that all radio buttons are wrapped up within a group.
	2. Rename all button_cancel as button_close.
	3. Ensure that all objects follow the naming scheme outlined in
	   forms/README

	class             | prefix
	------------------+-------
	FL_BROWSER        | browser
	FL_BUTTON         | button
	FL_PIXMAPBUTTON   | button
	FL_CHECKBUTTON    | check
	FL_CHOICE         | choice
	FL_COUNTER        | counter
	FL_DIAL           | dial
	FL_INPUT          | input
	FL_FRAME          | frame
	FL_LABELFRAME     | frame
	FL_ROUND3DBUTTON,
	RADIO_BUTTON      | radio
	FL_SLIDER         | slider
	FL_VALSLIDER      | slider
	FL_TABFOLDER      | tabfolder
	FL_TEXT           | text

	The only exceptions to this are objects that are to be converted
	in the sed scripts. At the moment this applies only to bmtable:

	Convert an FL_BUTTON to a FL_BMTABLE by using prefix "bmtable".

2002-03-11  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* doxygen fixes.

2002-03-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* FeedbackController.C: improve a comment.

	* FormFiledialog.C: whitespace change.

	* FormBibitem.C (build):
	* FormBibtex.C (build):
	* FormCitation.C (build):
	* FormDocument.C (build):
	* FormExternal.C (build):
	* FormGraphics.C (build):
	* FormInclude.C (build):
	* FormIndex.C (build):
	* FormMathsMatrix.C (build):
	* FormMinipage.C (build):
	* FormParagraph.C (build):
	* FormPrint.C (build):
	* FormRef.C (build):
	* FormSendto.C (build):
	* FormSpellchecker.C (build):
	* FormTabular.C (build):
	* FormThesaurus.C (build):
	* FormUrl.C (build): invoke setPrehandler for all FL_INPUT objects.
	Means that pasting with the middle mouse button will activate the
	Ok, Apply buttons.

	* FeedbackController.C (MessageCB): fix crash by removing
	Assert(message_widget_) and returning silently in this case.
	Can happen quite justifiably.

	* Most files: consistent comments at the top of the file, usable by
	sourcedoc.

2002-03-09  Herbert Voss  <voss@lyx.org>

	* FormGraphics.C: test if file exists, simplify an if command

2002-03-10  John Levon  <moz@compsoc.man.ac.uk>

	* FormToc.C: make goto not reset the dialog

2002-03-08  Angus Leeming  <a.leeming@ic.ac.uk>

	* FeedbackController.[Ch]: new files, providing a standard interface to
	the feedback and warning messages. Created by stripping code out of
	FormBase.

	* FormBase.[Ch]: strip out all the feedback code and simplify yet
	further the tooltips code.

	* FormBase.[Ch]:
	* FormBaseDeprecated.[Ch]: Add a Tooltips pointer.
	Derive both classes from FeedbackController so daughter classes each
	have a common interface for same.

	* Toolbar_pimpl.[Ch]: strip out all the tooltip code and use the
	Tooltips wrapper class.

	* Tooltips.[Ch]: work out how to update tooltips when using
	xforms 0.89's fl_set_object_helper. Can now toggle tooltips with both
	xforms 0.88 and 0.89. Change the cursor to a "?" when in query mode
	and when the dialog has some tooltips.

	* FormPreferences.[Ch]: strip out all the feedback code and use
	the FeedbackController.

	* xforms_helpers.C: save the color of the gui pointer.

	* FormBibtex.[Ch]:
	* forms/form_bibtex.fd:
	* FormCitation.[Ch]:
	* forms/form_citation.fd:
	* FormForks.[Ch]:
	* forms/form_forks.fd:
	* FormSendto.[Ch]:
	* forms/form_sendto.fd:
	* FormTexinfo.[Ch]:
	* forms/form_texinfo.fd: remove "Help" button and rejig for much
	simplified tooltips code.

	* Makefile.am: add FeedbackController.[Ch].

2002-03-08  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* FormGraphics.C: Tiny stylistic correction.

2002-03-07  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* FormGraphics.C:
		- Make radiobuttons change too when using Latex size in
		  lyxview and vice versa.
		- Fix a typo where the value for height (lyxview) was
		  taken from width (size).
		- Remove *%-values from lyxview.
		- Add an Alert when using "Get Latex size" and that contains
		  *%-values.
	* FormTabular.C: Remove obsolete comment.

2002-03-07  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsDeco.C: add leftrightarrows to the bitmap.

	* forms/form_maths_style.fd: reflect the changes in the bitmaps.

2002-03-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsGImage.C (statusCB, errorCB): close the file streams once the
	image is loaded or if an error occurs.
	(init_graphics): FLIMAGE_SETUP setup must be static as xforms stores
	it permanently (and does not make a copy!).

2002-03-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsGImage.[Ch]: new files. An image loader based on xforms library
	routines.

	* GUIRunTime.C (initialiseGraphics): use the xforms image loader if
	your version of the xforms libraries is up to the task.

	* Makefile.am: compile the xforms image loader if so configured.

2002-03-04   Angus Leeming  <a.leeming@ic.ac.uk>

	* Dialogs.C (redrawGUI): removed to frontends/Dialogs.C

	* Dialogs.C:
	* GUIRunTime.C (initialiseGraphics): moved to GUIRunTime.

2002-03-04   Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C (build): add a std:: qualifier to remove_if.

2002-03-02  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Toolbar_pimpl.[Ch]: layout as string

	* FormParagraph.C: layout as string

	* FormDocument.C (build): use remove_if and contains_functor
	layout as string

2002-03-01  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsBitmap.[Ch]:
	* FormMathsPanel.C: Give window titles to bit map sub-panels.

2002-02-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* Dialogs.C (initialiseGraphics): a new static method.
	Remove Allan's venerable description as I think it's past its sell-by
	date.

2002-02-28  John Levon  <moz@compsoc.man.ac.uk>

	* FormBase.C:
	* FormBaseDeprecated.C:
	* FormFiledialog.C: possible fix to the Bad Window problems that some
	people have been experiencing.

2002-02-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormForks.C (input_button_all): resolve comparison between signed
	and unsigned.

2002-02-26  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C (makeMenubar): ignore entries which are not
	submenus in menubar.

2002-02-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormForks.[Ch]:
	* forms/form_forks.fd: new files. A view for the Forked Child
	processes dialog, enabling the user to see what forked processes
	are running, and, if he so desires, to kill them.

	* Dialogs.C: add the class Forked Child dialog.

	* Makefile.am: add FormForks.[Ch], form_forks.[Ch].

	* forms/makefile: add form_forks.fd.

	* FormPreferences.C (LnFmisc::apply): rather ugly: call
	grfx::GCache::changeDisplay if the lyxrc.display_graphics changes.

2002-02-24  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* forms/form_graphics.fd: Enlarge Restore button.
	* FormGraphics.C: Set filter to bounding box input fields.

2002-02-20  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Makefile.am: simpler obj. file compiling

2002-02-20  Juergen Vigna  <jug@sad.it>

	* FormTabular.C (input): don't call the autoapply on exit input calls
	if we don't really have a change!

2002-02-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.h (FormCB): tiny bugfix.

	* xforms_helpers.h: remove incorrect comment.

2002-02-18  Herbert Voss  <voss@lyx.org>

	* FormGraphics.C: same units for LyX and Latex view, cosmetics

2002-02-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* Timeout_pimpl.[Ch] (running): new method.

2002-02-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormParagraph.C:
	* FormTabular.C: added a using std::remove_if directive.

2002-02-14  Herbert Voss  <voss@lyx.org>

	* xforms_helpers.h: fix bug with "?%" units

2002-02-14  Rob Lahaye  <lahaye@users.sourceforge.net>
	* forms/form_graphics.fd:
	* form_graphics.C: minor layout changes, such as stretching all
	tab-windows to equal sizes and better keyboard-shortcuts.

2002-02-14  Rob Lahaye  <lahaye@users.sourceforge.net>
	* forms/form_graphics.fd:
	* form_graphics.C: minor layout changes, such as stretching all
	tab-windows to equal sizes and better keyboard-shortcuts.

2002-02-12  Herbert Voss  <voss@lyx.org>

	* forms/form_graphics.fd:
	* form_graphics.[Ch]: small changes to the layout, mentioned
	by Rob

	* FormGraphics.C: fix bug with use of updateWidget... when
	no unit is given.

2002-02-11  John Levon  <moz@compsoc.man.ac.uk>

	* FormMinipage.C: return SMI_VALID on other form changes

2002-02-11  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* FormParagraph.C (update): [VSpace:] Delete the special method
	for gluelengths...
	* xforms_helpers.C: ...and move it here.
	Activate JMarcs new (shorter) code for updateWidgetsFromLengthString
	and updateWidgetsFromLength.

2002-02-10  Rob Lahaye  <lahaye@users.sourceforge.net>

	* forms/form_external.fd:
	* form_external.C: change color2 of a few buttons into the
	proper grey color.

2002-02-08  Herbert Voss  <voss@lyx.org>

	* forms/form_graphics.fd:
	* FormGraphics.C:
	* form_graphics.[Ch]: Adding buttons for unzip-Option,
	getValues from LyX/LaTeXfolder

2002-02-08  Rob Lahaye  <lahaye@users.sourceforge.net>

	* forms/form_graphics.fd:
	* FormGraphics.C:
	* form_graphics.[Ch]: simplify the bounding box folder
	of the Graphic GUI

2002-02-08  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Menubar_pimpl.C (create_submenu): work around an xforms bug (?)
	where one could not have both toggleon and disabled.

2002-02-08  Herbert Voss  <voss@lyx.org>

	* xforms_helpers.h: change unit "%" to t%

	* FormGraphics.C: fiy bug when BB is read from file and the
	unit is always "pt"

2002-02-08  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsDeco.C: \underleftarrow and \underrightarrow

2002-02-06  Angus Leeming  <a.leeming@ic.ac.uk>

	Stabilise the tooltip interface and get Jürgen's patch to work ;-)

	* Tooltips.[Ch]: new files. A wrapper to the tooltip code with a nice
	clean interface. Means that FormBase, FormBaseDeprecated and
	Tollbar_pimpl can all use the same code to have tooltips. No bloat.

	* FormBase.C: add a Tooltips instance and interface with it.
	(setTooltipLevel): removed. Replaced by fillTooltipChoice and
	setTooltipLevel(ob).
	(getVerboseTooltip, getMinimalTooltip) now passed a const FL_OBJECT.

	* FormBibtex.[Ch]:
	* FormCitation.[Ch]:
	* FormTexinfo.[Ch]:
	* Makefile.am: altered appropriately.

2002-02-06  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* forms/form_texinfo.fd:
	* forms/form_bibtex.fd:
	* forms/form_citation.fd: delete text_info field again, add help choice

	* FormBibtex.[Ch]:
	* FormCitation.[Ch]:
	* FormTexinfo.[Ch]: Implement new Tooltip behaviour.

2002-02-06  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch]: can now chose the verbosity of the tooltip through
	a new method setTooltipLevel(). In turn this determines which of the
	new virtual methods, getVerboseTooltip() or getMinimalTooltip() gets
	called from getTooltip.
	No need for a "message" widget at the bottom of every dialog, therefore.
	If retained, this "message" widget can be used to display "warnings",
	pure and simple.

	* FormBibtex.[Ch]:
	* FormCitation.[Ch]:
	* FormTexinfo.[Ch]: altered appropriately. Still need to be reshaped,
	to lose the "message" widget and to gain a "tooltip level" choice.

2002-02-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_graphics.fd: Tiny tweek to make the Restore, Ok, Apply,
	Cancel buttons' positions consistent with the other dialogs.

2002-02-05  Herbert Voss  <voss@lyx.org>

	* forms/form_graphics.fd: Noew the same view of the
	buttons as in preferences (LyXView). Make some things clear
	with better names.
	* FormGraphic.C: cosmetic changes to the layout. Delete
	the help button

2002-02-05  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* forms/form.texinfo.fd: delete help button, add text_info
	* forms/form.citation.fd,form.bibtex.fd: add text_info
	* FormTexinfo.[Ch]: Delete Help mechanism, add tooltips and help messages.
	* FormCitation.[Ch],FormBibtex.[Ch]: add tooltips and help messages (actually
	no tooltips in Bibtex).

2002-02-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch]: You want tooltips too? You got 'em. Verified as
	working with both xforms 0.88 and 0.89. Use by invoking
	setTooltipHandler(ob) and by providing a method getTooltip(ob) in this
	derived class to provide the required string.

2002-02-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch]: make it really easy to set up and use a prehandler
	for feedback messages and to invoke an input event on paste from
	the middle mouse button. The derived class needs invoke only
	setPrehandler(ob) and for the feedback to override the virtual methods
	feedback(ob) and clear_feedback(). If the message posted is a warning
	rather than mere feedback, first setWarningPosted(true) to ensure
	that the message remains visible.

	* FormBaseDeprecated.C: a physical rearrangement of the file,
	nothing more.

	* FormPreamble.C: use setPrehandler to invoke an input event on paste.

2002-02-04  Herbert Voss  <voss@lyx.org>

	* forms/form_graphics.fd: small changes to the layout
	* FormGraphic.C: Apply-button, keepaspectratio enabling
	depends to case of LaTeXView. Other small changes and
	fixes. Add LyXView scale.

2002-02-01  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormGraphics.C (c-tor): prevent resizing of the dialog.

2002-02-03  Herbert Voss  <voss@lyx.org>

	* xforms_helpers.C: fix bug with unit "%" in
	updateWidgetsFromLengthString(...)

2002-02-02  Herbert Voss  <voss@lyx.org>

	* FormGraphic.C: fix bug with filename, rearrange the code,
	delete choice "referencePoint" which is only possible for
	rotatebox
	* forms/form_graphics.fd: position options in a logical way,
	add folder and scale for LyXView

2002-02-01  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormGraphics.C (apply, update): respect the new DEFAULT state of
	InsetGraphicsParams::DisplayType.

2002-01-31  Martin Vermeer <martin.vermeer@hut.fi>

	* forms/form_graphics.fd: tweeks.

2002-01-30  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormGraphics.C: Fix MAXDIGIT values for height and width.

2002-01-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_citation: a few tweaks of my own.

2002-01-30  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_citation: De-Monsterization (make it smaller).

2002-01-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_graphics.fd:
	* FormGraphics.C: a few tweaks of my own.

2002-01-30  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_graphics.fd: Very small tweaks.

2002-01-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_graphics.fd: Change the dialog to look similar as
	the nice QT2-Version (added tabfolder "Bounding Box", rearrangements);
	added text_warning field..

	* FormGraphics.[Ch]: Handle the Rearrangements.
	Add input filters and warnings concerning invalid inputs.
	Recognize the lyxrc-settings of display_graphics.

2002-01-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsSpace.h (space_):
	* FormMathsStyle.h (style_): change from a short to an int to fix
	type conversion warnings.

2002-01-28  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsSpace.[Ch]:
	* forms/form_maths_space.fd:
	Changed the "Space" subpanel of the math panel into one of
	ordinary buttons rather than radio buttons. They are now
	self-applying so OK and Apply could go.

2002-01-28  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsStyle.[Ch]:
	* forms/form_maths_style.fd:
	Patched to use button arrays. Buttons are self-applying, saving
	one keystroke and the OK and Apply buttons.

2002-01-27  Herbert Voss  <voss@lyx.org>

	* FormGraphic.[Ch]:
	* form_graphic.[Ch]:
	* forms/form_graphic.fd: rewritten to support graphicx with
	all options and to be sure that the old figinsets are correct
	converted.
	* xforms-helpers.h: added two choice const for the LyXLength
	one with all and one only with length which have a unit.

2002-01-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_minipage.fd: add text_warning field.

	* FormMinipage.[Ch]: added input filters and warnings
	(ButtonPolicy::SMInput FormMinipage::input)

2002-01-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormAboutlyx.[Ch]: Removed redundant form() method and
	dialog_ variable. They replicate that in the parent FormDB.

2002-01-28  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsDeco[hC]:
	* forms/form_maths_deco.fd: added math accents as a separate bitmap to
	the Decorations sub-panel of mathed. See Lamport Table 3.11.

	* FormMathsPanel.C:
	* MathsSymbols.C: reorganization of the two AMS panels "relations" and
	"negated relations". Lower and broader.

2002-01-25  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormTabular.C (update): Remove redundant code.

2002-01-24  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_tabular.fd: checkbox2radiobutton changes.

2002-01-20  Herbert Voss  <voss@perce.de>

	* FormInclude.[C]: better control of unexistings files
	when entered without the browser

2002-01-20  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Toolbar_pimpl.C (update): disable layout combox when LFUN_LAYOUT
	is disabled

	* combox.C (activate):
	(deactivate): change color of labels to reflect the state of the
	combox

2002-01-16  Herbert Voss  <voss@lyx.org>

	* FormExternal.C (build): activate  apply/ok-button when something
	is entered in the filename-field

2002-01-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsBitmap.C (apply): fix bug caused by using 'unsigned int'
	rather than 'string::size_type'

2002-01-17 Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathPanel.[hC]:
	* MathsSymbols.[hC]:
	* form_math_panel.[hC]:
	* form_math_panel.fd: Modified. Added five symbol sub-panels
	to the math panel containing AMS math symbols: arrows, relations,
	negated relation, operators and miscellaneous (also containing some
	hebrew and corner symbols).

2002-01-17  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* FormMinipage.C (apply): change because MinipageParams::pageWidth
	is now a real LyXLength

2002-01-17  John Levon  <moz@compsoc.man.ac.uk>

	* FormDocument.C: enable line spacing input properly

2002-01-17  John Levon  <moz@compsoc.man.ac.uk>

	* forms/form_preferences.fd:
	* form_preferences.h:
	* form_preferences.C:
	* FormPreferences.h:
	* FormPreferences.C: use better variable name

2002-01-17  John Levon  <moz@compsoc.man.ac.uk>

	* forms/form_preferences.fd: change "Use Scalable Fonts"
	  to "Rescale bitmap fonts"

2002-01-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsPanel.C:
	* FormPreferences.C: #include "ButtonController.tmpl" to instantiate
	the button controller for IgnorantPolicy and PreferencesPolicy.

2002-01-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_tabular.fd: text_info field was too small. Enlarge it.

2002-01-15  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* xforms_helpers.C: modify getLengthFromWidgets to ignore the unit
	choice if the input field contains a LyXGlueLength.

	* FormParagraph.C: Allow to insert and display gluelengths in VSpace

	* FormParagraph.C
	* FormDocument.C
	* FormTabular.C: Change input filter to allow inserting
	gluelengths/lyxlength or numbers with unit choices.

	* FormMinipage.C: Use getLengthFromWidgets instead of the code there,
	which was more or less duplicated.

	* FormGraphics.C: set default units, dependent on US/other paper.

2002-01-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* Dialogs.C: no longer need to #include the Controller classes, as this
	is how done in GUI.h.

	* xformsBC.C: #include ButtonController.tmpl, containing the
	instatiation of the button controller.

2002-01-15  John Levon  <moz@compsoc.man.ac.uk>

	* FormThesaurus.C: fix a crash

2002-1-15  Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsDelim.C:
	* form_maths_delim_C:
	* form_maths_delim.h:
	* form_maths_delin.fd:
	Put three radio buttons on the delimiters pop-up. It works as follows:

				left mouse     middle mouse        right mouse
	----------------------------------------------------------------------
	Left radio button   |       (               ()                   )
	Middle radio button |       ()              ()                   )
	Right radio button  |        )               )                   )
	----------------------------------------------------------------------

	Where

	(       left-side delimiter selected
	)       right-side delimiter selected
	()      "symmnetric pair" selected, of which the clicked delimiter is
		the left one.
		So, if the middle radio button is activated ("()\nBoth")
		and you click on "[" with the default (left) mouse button, you
		get the delimiter pair "[]".
		A shortcut for this (if the leftmost radio button is on) is
		simply clicking the middle mouse button.

	To create equal pairs, either have the middle radio button on and use
	Mouse-left, or have the left radio button on and use Mouse-middle.

	To create unequal pairs, you should have either the left or middle radio
	button on, and do: "Mouse-left ( Mouse-right >" to create "(>".

2002-01-15  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormSpellchecker.[Ch]: a bit of a clean up, leaving the functionality
	unchanged:
	Remove the clickline_ member variable and hide() method;
	Use fl_set_browser_dblclick_callback;
	Constify a few temporary variables;
	Use xforms_helpers' wrappers functions returning string rather than
	the raw xforms functions returning char const *.

2002-01-14  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* DropDown.C: include <cctype> for isprint()

2002-01-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMinipage.C (apply, update): MinipageParams::width renamed
	as MinipageParams::pageWidth.

2002-01-14	Martin Vermeer <martin.vermeer@hut.fi>

	* FormMathsBitmap.C:
	  FormMathsPanel.C:
	  MathsSymbols.C: Blackboard Bold and Calligraphic std symbols
	added to math panel's 'misc' sub-panel.

2002-01-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsMatrix.C (input): use lyx::count rather than std::count.

2002-01-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.h: add a std:: to make_pair.

2002-01-11  Angus Leeming  <a.leeming@ic.ac.uk>

	* DropDown.[Ch] (keypress, key_pressed): new signal and method,
	respectively.

	* DropDown.C: place xforms callback functions in namespace anon.
	Set browser callback on single not double click.
	(select): return immediately of the vector is empty. Highlight the top
	line. Position the browser above the minibuffer, not below it.
	(peek): call key_pressed when a key press is detected.
	(key_pressed): clean-up and emit the keypress signal.

	* xforms_helpers.[Ch} (getSelectedStringFromBrowser): new function.
	If nothing is selected, return string().

2002-01-14  John Levon  <moz@compsoc.man.ac.uk>

	* FormSpellchecker.C: disable resizing due to xforms bug

2002-01-13  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* FormFiledialog.C (Reread): skip broken symlinks

2002-01-13  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormMathsMatrix.C (AlignFilter): use std::count and add some
	comments.

2002-01-13  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* MathsSymbols.C (get_pixmap_from_symbol): add a default statement
	in the switch.

	* FormPreferences.C (Interface::input):
	(Language::input):
	(Paths::input): add shortcuts to file dialogs directory buttons

	* FormPreference.h (browse): add default empty parameters for
	buttons descriptions.

	* FormFiledialog.C (SetButton): allow for a shortcut in the name
	of the button.

2002-01-13  John Levon  <moz@compsoc.man.ac.uk>

	* FormThesaurus.C:
	* FormThesaurus.h:
	* form_thesaurus.h:
	* form_thesaurus.C:
	* forms/form_thesaurus.fd: update to Aiksaurus 0.14

2002-01-12  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Toolbar_pimpl.C (setPixmap): simplify a bit

2002-01-10  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Toolbar_pimpl.C (ToolbarCB):
	* Menubar_pimpl.C (MenuCallback): use verboseDispatch instead of
	dispatch.

2002-01-12  Allan Rae  <rae@lyx.org>

	* FormTabular.C (FormTabular): Fix Purify UMR.

	* FormPreferences.C (build): "Conversion" is a better name.

2002-01-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* FormMathsPanel.[Ch] (dispatchFunc): new method. Invokes
	LyXFunc::dispatch.

	* FormMathsStyle.C (apply): use LFUNs to apply, not insertSymbol.

2002-01-10  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C:
	* forms/form_preferences.fd: change names and descriptions of popup
	font variables to reflect their actual use.

	* Menubar_pimpl.C: return MENU_LABEL_STYLE to FL_NORMAL_STYLE.

2002-01-10  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* FormPreferences.C (input): allow empty values for document_path
	and template_path.

	* FormFiledialog.C (SetButton):
	(FileDlgCB): do not disable directory buttons if they have an
	empty path.
	(SetDirectory): if the argument is an empty string, change to
	cwd().

2002-01-09  Martin Vermeer <martin.vermeer@hut.fi>

	* forms/form_maths_style.fd:
	* FormMathsStyle.[Ch]: New files, Implementing a mathed pop-up for math
	size "styles" and font types.
	* FormMathsPanel.[Ch]:
	* MathsSymbols.C:
	* forms/form_maths_panel.fd: Modified too.

2002-01-08  Martin Vermeer  <martin.vermeer@hut.fi>

	* Menubar_pimpl.C (create_submenu):
	* Toolbar_pimpl.C (update): use FuncStatus.

2002-01-08  Angus Leeming  <a.leeming@ic.ac.uk>

	* xform_helpers.[Ch] (getStringFromBrowser): a littel wrapper function
	for fl_get_browser_line that is guaranteed to return a valid string.

2002-01-08  John Levon  <moz@compsoc.man.ac.uk>

	* FormSpellchecker.C: fix possible crash on clicking a suggestion

2002-01-08  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_document.fd (bullets): fix small cosmetic problem after
	John's radio2button change.

2002-01-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C:
	* forms/form_document.fd: change the labels and variable names of
	left_margin, right_margin to inner_margin, outer_margin, in line
	with bugzilla bug #157.

	* FormFiledialog.C (Reread): used locally stored modtime variable
	rather than make repeated calls to fileInfo.getModificationTime().

	* xforms_helpers.C (ReadableFile, WriteableFile): added a couple of
	isOK() checks to the use of the FileInfo instance and removed those
	FIXMEs.

	* Menubar_pimpl.C: added a variable MENU_LABEL_STYLE and use it.
	Set it to FL_BOLD_STYLE, thereby fixing bugzilla bug #32.

2002-01-07  John Levon  <moz@compsoc.man.ac.uk>

	* form_*:
	* forms/form_*: change radio buttons to round3dbutton

2002-01-05  John Levon  <moz@compsoc.man.ac.uk>

	* FormFiledialog.C: add FIXME

	* xforms_helpers.C: fix use of FileInfo

2002-01-07  John Levon  <moz@compsoc.man.ac.uk>

	* FormTabular.h:
	* FormTabular.C:
	* form_tabular.h:
	* form_tabular.C:
	* forms/form_tabular.fd: ugly fix to get around
	  some of the UI problems (bug #110).

2002-01-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormDocument.C: Recognize the default paper settings too
	when setting the default length values (cm or inch).
	* FormParagraph.C: do the same.

2001-12-11  Michael A. Koziarski <michael@koziarski.org>

	* FormFloat.C: changes to prevent here definitely being used
	with wide figures.

2001-12-29  Dekel Tsur  <dekelts@tau.ac.il>

	* FormMathsMatrix.C (AlignFilter): Allow entering the '|' char.

2001-12-19  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* DropDown.C: always include <config.h> in sources.

	* xforms_helpers.h:
	* FormFiledialog.h:
	* Timeout_pimpl.h:
	* DropDown.h: do not include <config.h> in headers

2001-12-20  Juergen Vigna  <jug@sad.it>

	* FormTabular.C (update): final LT-h/f support modifications.

2001-12-19  Juergen Vigna  <jug@sad.it>

	* FormTabular.C (update): change a bit the tabular layout and added
	better longtable options handling.

2001-12-15  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormToc.C: using std::endl

2001-12-14  John Levon  <moz@compsoc.man.ac.uk>

	* FormToc.C: fix crash when no entries, and
	  update types properly

2001-12-11  Ben Stanley <bds02@uow.edu.au>

	* Menubar_pimpl.C: Fixed a crashing bug when document has more
	than 80 floats and using xforms 0.88

2001-12-11  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* xforms_helpers.C: include lyxlength.h here
	* xforms_helpers.h: ... but not here

	* FormTabular.C: use LyXLength instead of string wherever
	necessary; whitespace changes.

2001-12-08  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_preferences.fd: use the same name for font sizes
	than the character dialog.

2001-11-26  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_search.fd: Added label text to search buttons
	(to make the shortcuts visible).

2001-12-05  John Levon  <moz@compsoc.man.ac.uk>

	* FormParagraph.C: set combo box correctly for VSpace::LENGTH

2001-12-05  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormFiledialog.C:
	* xforms_helpers.C: change "while(" to "while ("

2001-12-05  Allan Rae  <rae@lyx.org>

	* FormParagraph.C (apply): One other LyXText fix.

2001-12-05  John Levon  <moz@compsoc.man.ac.uk>

       * FormParagraph.C (getCurrentParagraph):
	(apply):  get the right LyXText !

2001-11-29  John Levon  <moz@compsoc.man.ac.uk>

	* FormParagraph.C: disallow page breaks in insets

2001-11-23  John Levon  <moz@compsoc.man.ac.uk>

	* FormParagraph.C: allow signed space above/below, actually
	  use space below units

2001-11-04  John Levon  <moz@compsoc.man.ac.uk>

	* FormToc.C: fixes to make floatlists work

2001-11-23  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* Alert_pimpl.C: Alert etc.

	* xforms_helpers.h:
	* xforms_helpers.C:
	* forms/fdfix.sh: move idex etc. to here

	* GUIRunTime.C: move getScreenDPI() to here

2001-11-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

       * forms/form_ref.fd, form_preferences.fd, form_citation.fd,
       form_graphics.fd, form_paragraph.fd: Enlarged the Restore button
       to 100p (now German translation fits in).
       * forms/form_external.fd, form_bibtex.fd, form_print.fd,
       form_preferences.fd, form_graphics.fd, form.include.fd,
       form-external.fd:
       Unified label "Browse..." and unified its width to 100p.

2001-11-13  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

       * forms/form_graphics.fd: fixed shortcut clash
       * forms/form-external.fd: added shortcut for "Apply"

2001-11-12  John Levon  <moz@compsoc.man.ac.uk>

	* FormFiledialog.C: don't reset path if new dir
	  doesn't exist.

2001-11-12  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

       * forms/form_document.fd: Renamed "Save as Class Defaults"
       to "Save as Document Defaults"
       * FormDocument.C:
       Removed the setEnabled-Definitions for the
       "save_default"-Button since it causes nothing but trouble.
       Changed the text of AskQuestion on saveParamsAsDefault.

2001-11-07  John Levon  <moz@compsoc.man.ac.uk>

	* DropDown.C: fix crash, improve behaviour a bit

2001-11-07  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* FormDocument.C (class_apply):
	(paper_apply):
	(language_apply):
	(options_apply):
	(bullets_apply): add a version of these methods taking a
	BufferParams& parameters. The original versions are now wrappers
	around these.
	(saveParamsAsDefault): new function, moved from old
	LFUN_LAYOUT_SAVE_DEFAULT code.

2001-11-03  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* DropDown.h:
	* DropDown.C: drop-down completion

2001-11-04  John Levon  <moz@compsoc.man.ac.uk>

	* forms/form_graphics.fd: change clashing shortcut

2001-10-24  Juergen Vigna  <jug@sad.it>

	* FormTabular.C: changed calls for footer/headers of longtabulars.

2001-10-23  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_tabular.fd: Add value choices
	* FormTabular.C: Handle that choices

	* FormDocument.C: fix small bug.

2001-10-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormGraphics.[Ch]: move some parameters out of the heaader file and
	into namespace anon.

	* FormPreferences.C:
	* forms/form_preferences.fd: replaced button_colorspace with two
	radio buttons, button_hsv and button_rgb.

2001-10-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

       * forms/form_document.fd:
	 Class: add a value choice for Default Skip.
	 Some rearrangements (minor tweaks).
       * FormDocument.C: Handle that choice, minor tweaks.
       * forms/form_paragraph.fd: Add value choices
       * FormParagraph.C: Handle that choices.
       * FormMinipage.C/FormGraphics.C: Small tweaks.

2001-10-15  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C: fixed some bugs in the Paper tab.

	* xforms_helpers.[Ch] (updateWidgetsFromLengthString): add argument
	specifying default unit for choice if input string is empty.

2001-10-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C (input): one more tweak...

2001-10-10  Herbert Voss  <voss@perce.de>

	* FormTexinfo.[Ch]: some changes to the code

2001-10-10  André Pönitz  <poenitz@htwm.de>

	* FormsMathMatrix.C: add missing space between v- and h-alignment
	parameters

2001-10-09  Herbert Voss  <voss@perce.de>

	* FormTexinfo.[Ch]:
	* forms/form_texinfo.fd: new files. Display information about the
	installed texfiles (cls,sty,bst).

	* FormShowFile.[Ch]: new files. Display the contents of a file.

	* Dialog.C:
	* Makefile.am: modified appropriately.

2001-10-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* xforms_helpers.[Ch] (getLengthFromWidgets): new function.
	Given input and choice widgets, create a string such as "1cm".
	(updateWidgetsFromLengthString): new function.
	Given a string such as "1cm", set the input and choice widgets.

	* FormDocument.C:
	* forms/form_document.fd: improve the GUI of the paper tab using these
	new helper functions.

2001-10-07  Adrien Rebollo  <adrien.rebollo@gmx.fr>

	* FormDocument.C (build): support latin4

2001-10-05  Adrien Rebollo  <adrien.rebollo@gmx.fr>

	* FormDocument.C (build): support latin3

2001-10-04  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* forms/form_aboutlyx.fd: use flat boxes for tabs.

2001-10-03  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_document.fd: rearrangement of the paper tab;
	rename "use geometry" to "custom margins/sizes".

	* FormDocument.C: add code to avoid the input of senseless data
	in document -> paper.

2001-10-01  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* FormDocument.C: Disable choice "Special" if landscape
	is chosen to prevent senseless values.

2001-09-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_preferences.fd: small tweaks.

2001-09-24  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_document.fd: Removed "Auto Reset", renamed the "Reset"
	button to "Use Class Defaults" and moved it outside the tab.
	Some more minor tweaking.

	* FormDocument.C: handled this changes.

2001-09-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* Dialogs.C: remove splash dialog code.

	* FormSplash.[Ch]:
	* form_splash.[Ch]:
	* forms/form_splash.fd: removed.

	* Makefile.am:
	* forms/makefile: remove splash dialog files.

	* Menubar_pimpl.C (MenuCallback): no longer call
	Dialogs::destroySplash.

2001-09-27  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* forms/form_preferences.fd: fix typo

2001-09-24  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormRef.C:
	* forms/form_ref.fd: renamed the widgets in the standard style.

	* xforms_helpers.[Ch] (getVectorFromChoice, getVectorFromBrowser): new
	helper functions. Build a vector<string> from the contents of
	an fl_choice and fl_browser respectively.

	* FormCitation.C (fillChoice, updateBrowser):
	* FormRef.C: use these new functions to only update the choices and
	browsers when absolutely necessary.

2001-09-24  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.C (InputCB):
	* FormBaseDeprecated.C (InputCB): generalised Dekel's fix to the
	"select choice < 1" problem.

	* FormRef.C (input): undid Dekel's change in light of the above
	generalisation.

2001-09-21  Dekel Tsur  <dekelts@tau.ac.il>

	* FormRef.C (input): Fix crash when using dialog with keyboard.

2001-09-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_document.fd: small tweaks.

2001-09-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_document.fd: Added checkbox "auto_reset", button
	"reset_defaults" and button "save_defaults".

	* Form_Document.[Ch]: Removed AskQuestion when changing class.
	Implement the 2 buttons and the checkbox described above.

	* forms/form_preferences.fd: Added checkbox "auto_reset" (to
	save the default value of that lyxrc)

	* FormPreferences.C: Handle that button

2001-09-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* form_ref.fd: a little tweaking.

	* FormSpellchecker.C (build): set the bounds to the slider, so it
	updates during a spellchecking session.

2001-09-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_preferences.fd: rearrangement and addition of new
	Display Graphics radio buttons to Look & Feel->Misc
	(By Jürgen Spitzmüller).

	* FormPreferences.C: modify new lyxrc variable "display_graphics"
	depending on the values of the Display Graphics radio buttons.

	* FormGraphics.C: use this variable.

2001-09-13  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsBitmap.[Ch]: add d-tor to finally fix a memory leak.
	Hoorah! Happy Birthday to me!

2001-09-07  Dekel Tsur  <dekelts@tau.ac.il>

	* forms/form_ref.fd: Add buffer button.

	* FormRef.C (update): Handle the buffer button.
	(input): Ditto

2001-09-13  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_graphics.fd: complete rewrite of the dialog
	(Most work was done by Angus, though).

2001-09-12  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* combox.C (hide): execute the callback _after_ closing the
	combox.

2001-09-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C (c-tor): initialise some variables.

	* forms/form_citation.fd: remove spurious shortcut to a labelframe!
	(Thereby removing a warning message when the dialog is built.)

	* FormFloat.C (input): return SMI_VALID.

2001-09-11  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C (input, options_update): add code to enable the
	Author-Year/Numerical citation choice only if the natbib checkbox is
	active.

	* FormFloat.[Ch]: added new method input() to control the behaviour of
	the buttons better.
	* forms/form_float.fd: renamed Here as button_here_definitely.

	* FormGraphics.C:
	* forms/form_graphics.fd: add callbacks to a few widgets that didn't
	have them, so enabling the Ok, Apply buttons appropriately.

2001-09-08  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_paragraph.fd: cosmetics (renamed "Label Width" to "Longest
	Label", added a labelframe).

2001-09-10  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Toolbar_pimpl.C (C_Toolbar_BubblePost): fix linking
	(C_Toolbar_BubbleTimerCB): fix linking

	* FormMathsBitmap.C (form): use get() to get the raw pointer.

	* FormMathsBitmap.h: use shared_c_ptr for form_ as well.

2001-09-09  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* combox.C (C_Combox_input_cb): make it static
	(C_Combox_combo_cb): make it static
	(C_Combox_peek_event): make it static

	* Toolbar_pimpl.C (C_Toolbar_BubbleTimerCB): make it static
	(C_Toolbar_BubblePost): make it static
	(C_Toolbar_ToolbarCB): make it static

	* Timeout_pimpl.C (C_intern_timeout_cb): make it static

	* Menubar_pimpl.C (C_Menubar_Pimpl_MenuCallback): make it static

	* Makefile.am (libxforms_la_LIBADD): add this and depend on the
	gui libs

2001-09-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBaseDeprecated.[Ch]: use the same allow_resize methodology as has
	been used successfully in FormBase.
	(show): call bc().refresh() after building the dialog to activate the
	button controller.

	* FormPreferences.C (build): remove hack to fix butoon controller as
	the correct fix is in FormBaseDeprecated.

	* FormPreferences.[Ch] (connect, disconnect): removed (redundant).

	* FormMaths*.C (c-tor): prohibit resizing of the dialog.

2001-09-07  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Toolbar_pimpl.C (setLayout):
	(layoutSelected): make them work even when gettext has been
	translating the interface.

2001-09-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsSpace.C: Fix bug: the "Maths spacing" dialog is broken
	("Apply" does not work without former user change in the dialog).

	* FormPreferences.C (build): Fix bug: if you start LyX and open the
	Preferences dialog, "Apply" is activated even though no change has been
	made so far.

2001-09-07  Rob Lahaye  <lahaye@users.sourceforge.net>

	* FormBase.C (show): use controller_.IconifyWithMain() to control
	the dialog's show policy

	* FormBaseDeprecated.C (show): ditto, but use lyxrc variable directly.

	* FormPreferences.C:
	* forms/form_preferences.fd: add a check_dialogs_iconify_with_main
	check button to the Look & Feel->Misc tab and code to modify the lyxrc
	variable dialogs_iconify_with_main appropriately.

2001-09-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.h: clean-up comments. Remove mutable status of minw_, minh_.

2001-09-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* forms/form_character.fd: small cosmetics (aligned "Language:" right
	as suggested in Michael's Buglist).

2001-09-06  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Toolbar_pimpl.C (updateLayoutList): do not display obsolete
	layouts
	(layoutSelected): remove the numeric argument and use the text of
	the combox entry instead.

	* combox.C: lowercase a few remaining methods, rename select_text
	to select
	* several files: propagate these changes

2001-09-03  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C: add fl_set_input_return to input_paperoption.

2001-09-02  John Levon  <moz@compsoc.man.ac.uk>

	* FormParagraph.C: fix default line spacing case

2001-08-31  John Levon  <moz@compsoc.man.ac.uk>

	* FormParagraph.C: disable space inputs when != Length

2001-08-31  John Levon  <moz@compsoc.man.ac.uk>

	* FormPreferences.C:
	* form_preferences.h:
	* form_preferences.C:
	* forms/form_preferences.fd: add view_dvi_paper_option

2001-08-31  John Levon  <moz@compsoc.man.ac.uk>

	* FormMathsPanel.h: sub dialogs must be Ignorant.

2001-08-31  John Levon  <moz@compsoc.man.ac.uk>

	* FormParagraph.C: fix to not allow 0 linespacing

2001-08-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C (c-tor): prevent re-sizing of the dialog.

	* FormParagraph.C (input): set fl_get_choice check for the linespacing
	to 5 not 4. xforms arrays start at 1.

2001-08-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormParagraph.[Ch]:
	* forms/form_paragraph.fd: clean up of dialog and of controlling
	code.

2001-08-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.C (C_CutandPastePH): new function that can be used as a
	pre-handler to any xforms text input widget. Will trigger an event on
	pasting into the widget using the middle mouse button.

	* FormPreamble.C (build): use this pre-handler for the input widget.

2001-08-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C:
	* forms/form_citation.fd: a little tweaking to ensure that the
	style choice remains centred within the frame if its contents change.

	* FormBase.h: added an allow_resize_ member variable. If false
	resizing the dialog is prohibitted.

	* FormBase.[Ch]:
	* FormBrowser.[Ch]: modify c-tors to pass this new variable to FormBase.

	* FormAboutlyx.C:
	* FormCharacter.C:
	* FormThesaurus.C:
	make use of this functionality to ensure that the dialog cannot be
	resized.

2001-08-27  John Levon  <moz@compsoc.man.ac.uk>

	* GUIRunTime.C: initApplication() should take a int & argc

2001-08-24  John Levon  <moz@compsoc.man.ac.uk>

	* FormCitation.h:
	* FormCitation.C: tidy code a little

	* GUIRunTime.C: more informative error

2001-08-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_preferences.fd: order the items "logically" so that
	tabbing through the dialog makes sense. Close bug #404569.

2001-08-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C: Tentative fix of John's "no point in spell
	command "None"" bug, #223255.

2001-08-23  Herbert Voss  <voss@perce.de>

	* FormBibtex.C (input): normalize database list

2001-08-21  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBibtex.C: make sure that any database is stored only once.

2001-08-22  Herbert Voss  <voss@perce.de>

	* FormBibtex.C (input): fix for multiple databases

2001-08-21  Herbert Voss  <voss@perce.de>

	* FormBibtex.C (input): extension handling for ".bst"

2001-08-21  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_bibtex.fd: activate "Ok" when the "Add bibliography to TOC"
	check button is pressed.

2001-08-20  Dekel Tsur  <dekelts@tau.ac.il>

	* FormParagraph.C (general_apply): Handle default spacing.
	(general_update): Ditto.

2001-08-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBibtex.C:
	* forms/form_bibtex.fd: get the browse buttons working as they should.

2001-08-20  Herbert Voss  <voss@perce.de>

	* FormBibtex.C:
	* forms/form_bibtex.fd: enhanced bibtex-data gui to browse for
	databases and styles. Added an option for "bibliography into toc"

2001-08-18  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormMathsBitmap.h: use the lyx::shared_c_ptr that uses free() to
	cleanup.

2001-08-15  John Levon  <moz@compsoc.man.ac.uk>

	* combox.h: fix source doc

	* form_math_matrix.C:
	* forms/form_math_matrix.fd: new layout

2001-08-16  John Levon  <moz@compsoc.man.ac.uk>

	* form_paragraph.h:
	* form_paragraph.C:
	* forms/form_paragraph.fd:
	* FormParagraph.C: support per-para linespacing

	* forms/form_float.fd:
	* form_float.C: fix shortcut typo

2001-08-15  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_character.fd: small adjustment to the position of John's
	extra Language label.

2001-08-09  André Pönitz  <poenitz@htwm.de>

	* FormMathsDelim.C: renamed some delimiter parameters.

2001-08-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C (build):
	* FormDocument.C (build):
	* FormMinipage.C (build):
	* FormParagraph.C (build):
	* FormRef.C (build): added stuff to read-only list in the
	button controller.

	* FormCitation.C (update): disable citation style stuff when not using
	Natbib.

2001-08-06  Juergen Vigna  <jug@sad.it>

	* forms/form_ert.fd: new file.

	* form_ert.[Ch]: new files.

	* FormERT.[Ch]: new files. Implementation of ERT dialog.

2001-08-01  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C (Color c-tor): initialise modifiedXformsPrefs.

2001-07-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* GUIRunTime.C (processEvents, runTime): small code rearrangement.

2001-08-01  John Levon  <moz@compsoc.man.ac.uk>

	* FormMathsPanel.C:
	* FormMathsPanel.h:
	* form_maths_panel.C:
	* form_maths_panel.h:
	* forms/form_maths_panel.fd: re-add dots bitmaps

	* FormRef.C: "Goto" -> "Go to"

2001-07-29  John Levon  <moz@compsoc.man.ac.uk>

	* FormMathsBitmap.C: initialise form_

2001-07-29  Baruch Even  <baruch@lyx.org>

	* src/forms/form_graphics.fd:
	* src/FormGraphics.C: Added support for the new horizontal scale factor.

2001-07-30  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* forms/makefile (SRCS): add form_float.fd

	* forms/form_float.fd: new file

	* form_float.[Ch]: new files

	* Makefile.am (libxforms_la_SOURCES): add FormFloat.C,
	FormFloat.h, form_float.C and form_float.h

	* FormFloat.[Ch]: new files

	* Dialogs.C: init GUIFloat is well

2001-07-29  Asger Alstrup Nielsen  <alstrup@alstrup>

	* FormToc.C (updateType): Fix problem with TOC that couldn't be
	updated because the type list was not updated.

2001-07-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/form_aboutlyx.fd: made a bit bigger to get the Copyright &
	Version stuff in.

	* input_validators.[Ch] (fl_int_filter, fl_float_filter): new methods.

	* FormGraphics.C (build): uncommented the fl_set_input_return call for
	input_rotate_angle. Set input filter on rotate_angle to make it accept
	only floating point numbers.
	(input): Browse now activates the Ok button approriately.

2001-07-26  John Levon  <moz@compsoc.man.ac.uk>

	* Dialogs.C:
	* Makefile.am:
	* FormThesaurus.h:
	* FormThesaurus.C:
	* form_thesaurus.h:
	* form_thesaurus.C:
	* forms/makefile:
	* forms/form_thesaurus.fd: add thesaurus

2001-07-26  Baruch Even  <baruch@lyx.org>

	* FormGraphics.h:
	* FormGraphics.C: Removed hide method since it was interfering with the
	needed work, it cleared several vectors that were needed for proper
	functioning. Also changed rotateAngle to float.

	* FormGraphics.C:
	* forms/form_graphics.fd: Removed inline option, all InsetGraphics figures
	are inlined.

2001-07-23  John Levon  <moz@compsoc.man.ac.uk>

	* FormInclude.C: add load file facility back

2001-07-23  John Levon  <moz@compsoc.man.ac.uk>

	* FormCharacter.C: disable resizing as it doesn't work

	* FormPreamble.C: allow to copy-paste from RO preamble by
	  enabling editing.

2001-07-20  Jürgen Spitzmüller  <juergen.sp@t-online.de>

	* forms/form_citation.fd: resized form to fit on a 800x600 screen.

2001-07-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.[Ch]: changes associated with adding natbib support.
	New helper functions, string_width, fillChoice, updateStyle.
	(apply): set the citation command appropriately.
	(input): deal with the citation command choices.
	(update): parse the citation command and deal with it. Nuke the
	setSize stuff.
	(setSize): nuked!

	* FormDocument.C (build): add options to use natbib.

	* forms/form_citation.fd: add natbib support. Rearrange dialog to
	fit onto shorter screens.

	* forms/form_document.fd: add natbib support.

2001-07-16  Juergen Vigna  <jug@sad.it>

	* form_aboutlyx.C: set default for "Close" button to "ESC"-key.

2001-07-13  Angus Leeming  <a.leeming@ic.ac.uk>

	Consistent use of Lsstream.h:
	* FormAboutlyx.C (build):
	* FormVCLog.C (update): std::ostringstream -> ostringstream.

	* FormMathsDelim.C (apply):
	* FormMathsMatrix.C (apply): std::stringstream -> stringstream.

2001-07-13  Edwin Leuven  <leuven@fee.uva.nl>

	* implement 1 about lyx dialog instead of 3 separate ones

	* FormCredits.[Ch]: removed
	* FormCopyright.[Ch]: removed
	* form_credits.[Ch]: removed
	* forms/form_credits.fd: removed
	* form_copyright.[Ch]: removed
	* forms/form_copyright.fd: removed
	* FormAboutlyx.[Ch]: added
	* form_aboutlyx.[Ch]: added
	* forms/form_aboutlyx.fd: added
	* Dialogs.C: add about lyx stuff

2001-07-13  Edwin Leuven  <leuven@fee.uva.nl>

	* add spellchecker

	* FormPreferences.[Ch]: rename spellchecker to spelloptions
	* form_preferences.[Ch]: idem
	* forms/form_preferences.fd: idem
	* FormSpellchecker.[Ch]: added
	* form_spellchecker.[Ch]: added
	* forms/form_spellchecker.fd: added
	* Dialogs.C: add spellchecker

2001-07-12  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormFiledialog.C: (*it). -> it->
	* Toolbar_pimpl.C: ditto
	* RadioButtonGroup.C: ditto
	* FormPreferences.C: ditto

2001-07-03  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* GUIRunTime.C (x11Display):
	(x11Screen):
	(x11Colormap):
	(x11VisualDepth): new methods

2001-07-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormDocument.C (class_apply): call CutAndPaste::'s staitc method
	directly.

	* Toolbar_pimpl.h: make owner be a XFormsView, small changes
	because of this.

	* GUIRunTime.C (createMainView): implement

2001-06-22  John Levon  <moz@compsoc.man.ac.uk>

	* FormCharacter.C:
	* form_character.C:
	* forms/form_character.fd: hide the widget underneath language
	  combox hack.

2001-06-27  John Levon  <moz@compsoc.man.ac.uk>

	* FormPreferences.h:
	* FormPreferences.C: connect and operator
	  showSpellcheckerPreferences signal

	* FormPrint.C (input): modify to select radio_file
	  when the user uses the filename input

2001-06-26  The LyX Project  <lyx@violet.home.sad.it>

	* combox.C (remove): send debug output to Debug::GUI.

2001-06-26  The LyX Project  <lyx@rose.home.sad.it>

	* Menubar_pimpl.C (create_submenu):
	* Toolbar_pimpl.C (update): update to use func_status

2001-06-25  The LyX Project  <lyx@tulip.home.sad.it>

	* FormPreferences.C (Path::feedback): remove bogus description of
	lyxpipe.

2001-06-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsBC.h: clean-up of included files.

2001-06-15  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormDocument.C:
	* FormParagraph.C (c-tor): cosmetic name change of signal.

	* FormParagraph.[Ch]: added machinery to act on an updateParagraph
	signal. It's pretty crude at the moment! Mental note: would be more
	elegant if we passed a LyXParagraph & with both the signals rather than
	search through the Buffer.

2001-06-13  Angus Leeming  <a.leeming@ic.ac.uk>

	* *.[h]: added // -*- C++ -*-
	* *.[C]: removed // -*- C++ -*-

	* FormCharacter.C (update): now uses contents of font_, stored
	permanently by the controller to update() the dialog.

2001-06-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormInclude.C:
	* form_include.fd: (various places): Ok button is now activated when
	the filename is input from the keyboard.

	* FormPreferences.C white-space change in various places.
	(Converters::GetTo): get the contents of "to" not "from"! Thus fix bug
	that disabled addition of new converters.

	* FormCharacter.C (input, update): new methods. Activate the Apply
	button when any of the input fileds are not IGNORE.

2001-06-11  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormToc.C (input): change test slightly.
	(updateContents): clear list if empty and add no list msg.

2001-05-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormParagraph.C (update, general_update): enabling the align buttons
	is now dependent on the AlignPossible entry in the Layout.

2001-06-01  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* MathsSymbols.C:
	* FormMathsMatrix.C: bring C functions into global namespace if
	necessary.

2001-05-31  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* MathsSymbols.C (pixmapFromBitmapData): add std::

	* FormMathsMatrix.C (AlignFilter): add std::

2001-05-22  Adrien Rebollo <rebollo@iaf.cnrs-gif.fr>

	* FormDocument.C (build): add iso8859-15 support.

2001-05-08  Baruch Even  <baruch@lyx.org>

	* Menubar_pimpl.C: Fixed compilation problem.

2001-05-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Menubar_pimpl.C (add_toc): use name and not type with float.
	(create_submenu): correct call of new object
	(create_submenu): add FloatListInsert and FloatInsert to dummy clause.

2001-05-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* FormParagraph.[Ch]: remove !NO_PEXTRA and !NEW_INSETS cruft

2001-04-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* Dialogs.C: included insetgraphicsParams.h

	* FormMathsMatrix.C:
	* FormMathsBitmap.C: included LAssert.h

2001-04-24  Allan Rae  <rae@lyx.org>

	* xforms_helpers.C (formatted): two consecutive spaces would kill it.

2001-04-20  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* xforms_helpers.C (formatted): do not use string::substr(1) on a
	string of length 1 !

2001-04-16  Allan Rae  <rae@lyx.org>

	* xforms_helpers.C (formatted):
	* Menubar_pimpl.C (add_toc): #warning triggers an error on Sun CC 6.0
	as an unrecognised preprocessor directive.  So ensure they're wrapped.

2001-04-06  John Levon  <moz@compsoc.man.ac.uk>

	* FormTabularCreate.C: pass a pair of uints to the controller

	* FormVCLog.C: the log appears as a stringstream now

	* forms/form_external.fd: make params update state (from Angus)

2001-04-05  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Menubar_pimpl.C: include gettext.h

2001-04-05  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* xforms_helpers.C (formatted): constify length

	* FormTabular.C (update): small restructure, adjust for scoped_ptr
	(input): adjust for scoped_ptr
	(input): constify str

2001-04-03  John Levon  <moz@compsoc.man.ac.uk>

	* Dialogs.C: s/popup/dialog/

	* Form*.C:
	* FormBase.h:
	* FormBase.C: s/ControlButton/ControlButtons/
	move bc().refresh() into base show() method

	* Form*.C:
	* FormBaseDeprecated.C:
	s/UndoAll/restore/

2001-03-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMathsPanel.C (c-tor): set button controller cancel label to close.

	* FormToc.[Ch]:
	* forms/form_toc.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

2001-03-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C:
	* forms/form_citation.fd: Don't change the name of the button when
	toggling between regular expression and simple searches.
	Squashed bug when creating a new inset, the keys field contained
	one (empty) key. No more; thanks, Dekel.

	* FormExternal.C:
	* forms/form_external.fd: added Apply button.

2001-03-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch]:
	* FormBrowser.[Ch]: changes associated with renaming ControlBase as
	ControlButton.

	* FormExternal.[Ch]:
	* forms/form_external.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

	* FormGraphics.[Ch]:
	* FormInclude.[Ch]:
	* FormPrint.[Ch]:
	moved the browsing functionality into the controller.

	* xforms_helpers.[Ch]: moved browseFile to
	../controllers/helper_funcs.[Ch]

	* FormCitation.C
	* forms/form_citation.fd: added case sensitive search button.

2001-03-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsBC.[Ch]: Patched in a slight reworking of Baruch Even's patch.
	Code moved into the generic template base class. Replaced
	setCancelCloseButton() with setButtonLabel().

2001-03-29  Juergen Vigna  <jug@sad.it>

	* FormMinipage.C: removed widthp_ and all it's functions and changed
	to use new %-lengths of LyXLength.

2001-03-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormGraphics.[Ch]:
	* forms/form_graphics.fd:
	* FormIndex.[Ch]:
	* forms/form_index.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

	* FormCharacter.[Ch]: changes associated with ControlCharacter cleanup.

	* FormCitation.C: changes associated with ControlCitation cleanup.

	* FormMinipage.h: cleaned-up forward declarations.

2001-03-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMinipage.[Ch]:
	* forms/form_minipage.fd:
	* FormPrint.[Ch]:
	* forms/form_print.fd:
	* FormSplash.[Ch]: implemented controller-view split.

	* Dialogs.C: associated changes.

2001-03-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreamble.[Ch]:
	* forms/form_preamble.fd:
	* FormRef.[Ch]:
	* forms/form_ref.fd:
	* FormSearch.[Ch]:
	* forms/form_search.fd:
	* FormTabularCreate.[Ch]:
	* forms/form_tabular_create.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

2001-03-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormError.[Ch]:
	* form_error.fd:
	* FormInclude.[Ch]:
	* form_include.fd:
	* FormUrl.[Ch]:
	* form_url.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

	* FormBibitem.h:
	* FormBibtex.h:
	* FormCitation.h: moved methods from protected to private.

2001-03-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCredits.C (build): changes associated with
	ControlCredits::getCredits returning a stringstream not a vector<string>

2001-03-22  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCopyright.[Ch]:
	* forms/form_copyright.fd: implemented controller-view split.

	* FormCredits.[Ch]:
	* forms/form_credits.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

	* xforms_helpers.C (formatted): improved the function so that it now
	repects '\n' characters in the input string. Ie, the user can now
	specify line breaks explicitly.

2001-03-21  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCharacter.[Ch]:
	* forms/form_character.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

	* FormBase.C (input): changed return to SMI_VALID.

	* FormCitation.C (updateBrowser): ensure that the keys are stripped of
	any surrounding whitespace.

2001-03-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch] (input): no longer pure virtual. Has defualt state of
	SMI_NOOP.
	(FormBase2): split into two template classes, FormDB (DialogBase) and
	FormCB (ControllerBase) for greater flexibility.

	* FormBibitem.[Ch]:
	* FormBibtex.[Ch]:
	* FormCitation.[Ch]: associated changes.

	* FormBrowser.[Ch]:
	* FormLog.[Ch]:
	* FormVCLog.[Ch]:
	* forms/form_browser.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

2001-03-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBibtex.[Ch]:
	* forms/form_bibtex.fd: implemented controller-view split.

	* Dialogs.C: associated changes.

2001-03-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBaseDeprecated.[Ch]: rename title as title_.

	* FormBaseDeprecated.C: restore John's trick to give the dialog a border
	with limited functionality. It got lost in the MVC merge.

	* FormBaseDeprecated.C:
	* FormBase.C (show): moved initialisation of minw_, minh_ here.

	* FormBibitem.C (build):
	* FormBibtex.C (build):
	* FormBrowser.C (build):
	* FormCharacter.C (build):
	* FormCitation.C (build):
	* FormCopyright.C (build):
	* FormCredits.C (build):
	* FormDocument.C (build):
	* FormError.C (build):
	* FormExternal.C (build):
	* FormGraphics.C (build):
	* FormInclude.C (build):
	* FormIndex.C (build):
	* FormMinipage.C (build):
	* FormParagraph.C (build):
	* FormPreamble.C (build):
	* FormPreferences.C (build):
	* FormPrint.C (build):
	* FormRef.C (build):
	* FormSearch.C (build):
	* FormTabular.C (build):
	* FormTabularCreate.C (build):
	* FormToc.C (build):
	* FormUrl.C (build): removed initialisation of minw_, minh_.

	* The Maths Panel stuff no longer causes a crash on exit from LyX.

	* FormMaths.[Ch]:
	* forms/form_maths.fd: removed.

	* forms/form_maths_delim.fd:
	* forms/form_maths_deco.fd:
	* forms/form_maths_matrix.fd:
	* forms/form_maths_space.fd:
	* forms/form_maths_panel.fd: new files.
	Split contents of form_maths.fd into 5 new files, one for each form.

	* MathsSymbols.[Ch]: remove class BitmapMenu, renamed and reworked as
	class FormMathsBitmap in FormMathsBitmap.[Ch].

	* FormMathsPanel.[Ch]:
	* FormMathsBitmap.[Ch]:
	* FormMathsDeco.[Ch]:
	* FormMathsDelim.[Ch]:
	* FormMathsMatrix.[Ch]:
	* FormMathsSpace.[Ch]: Split contents of FormMaths into new files,
	one for each popup. Rewrite so that all the new classes are derived from
	FormBaseBD. Clean up the logic in the process (I hope!).

	* Makefile.am: added new fils, removed redundant ones.

2001-03-19  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* FormMinipage.C (FormMinipage): add SigC:: namespace specifier.
	(showInset): ditto
	(updateInset): ditto

2001-03-16  Juergen Vigna  <jug@sad.it>

	* Dialogs.C (Dialogs): create minipage options dialog.

	* forms/form_minipage.fd:
	* form_minipage.C:
	* form_minipage.h:
	* FormMinipage.C:
	* FormMinipage.h: new files for the minipage options dialog.

2001-03-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormMaths.[Ch]: make the FD_ structs private. Create appropriate
	callback methods.

	* forms/form_maths.fd: change C_FormBaseCancelCB to
	FormBaseDeprecatedCancelCB and so fix crash on closing the panel.

2001-03-16  John Levon  <moz@compsoc.man.ac.uk>

	* FormMaths.C: quash warnings

2001-03-16  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* FormMaths.C (C_FormMathsDelimCB): add usual .c_str() for lyxstring
	compatibility.

2001-03-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* Form_various.h: cleaned up #includes and forward declarations.

	* Form_various.C: added "using SigC::slot" declaration.

	* FormMaths.[Ch]: moved to boost::scoped_ptrs.

	* FormDocument.C (CheckChoiceClass): removed string tct as the
	compiler warned that it was defined but never used.
	removed USE_CLASS_COMBO.

2001-03-13  John Levon  <moz@compsoc.man.ac.uk>

	* Dialogs.C:
	* FormMaths.h:
	* FormMaths.C:
	* MathsSymbols.h:
	* MathsSymbols.C:
	* Makefile.am:
	* Toolbar_pimpl.C:
	* form_*.C:
	* forms/makefile:
	* forms/form_maths.fd:
	* forms/fdfixc.sed:
	* forms/fdfix.sh: add maths panel

	* bmtable.h:
	* bmtable.c: moved from src/

2001-03-16  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* FormParagraph.h: NO_PEXTRA
	* FormParagraph.C (input): NO_PEXTRA

2001-03-15  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* several files: remove CXX_WORKING_NAMESPACES

2001-03-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* Merging changes from BRANCH_MVC back into HEAD.

2001-03-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* Dialogs.C (c-tor): Changes associated with storing a vector of
	boost::shared_ptrs.
	Use MVC Bibitem popup.

	* FormBase.h: add a new template class FormBase2, derived from FormBase
	to make life creating MVC popups even easier ;-)

	* FormBibitem.[Ch]:
	* forms/form_bibitem.fd: moved over to the MVC way of doing things.
	Proof that a simple popup should be easy to implement!

	* FormCitation.[Ch]: now derived from FormBase2.

	* FormToc.C: added using std::vector directive.

2001-03-09  Dekel Tsur  <dekelts@tau.ac.il>

	* FormSearch.C: Add missing #pragma

2001-03-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C:
	* forms/form_citation.fd: added the ability to Search, both Simply and
	for Regular Expressions. Use the Search code in the controller() to do
	the actual searching.

2001-03-08  Angus Leeming  <a.leeming@ic.ac.uk>

	* Makefile.am: added FormCredits.[Ch] and form_credits.[Ch]
	* forms/makefile: added form_credits.fd

	* Dialogs.C: added FormCredits and removed ShowCredits.

	* FormCredits.[Ch]:
	* forms/form_credits.fd:
	* forms/form_search.fd: ported to the MVC way.

2001-03-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* xforms_helpers.h (formatted): now has default arguments for size and
	style.

	* FormCitation.[Ch]: moved code out of this class and into
	ControlCitation and associated helper funcs.

2001-03-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch]: (InputCB): use ButtonController::input() rather than
	ButtonController::valid() to check state of input. The buttons are
	now controlled correctly.

	* Form*.[Ch]: use boost::scoped_ptr for the remaining few classes.

2001-03-05  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* Form*.[Ch]: use boost::scoped_ptr for dialog_ et al.

	* FormBase.[Ch]: rename title as title_.

2001-03-02  John Levon  <moz@compsoc.man.ac.uk>

	* FormBase.C (c-tor): initialise variables in correct order.

	* FormCitation.C: add #include <algorithm>

2001-03-02  Angus Leeming  <a.leeming@ic.ac.uk>

	* xformsBC.[Ch]: Changes associated with the changes to
	controllers/ButtonController.[Ch]. Ie, the class is now derived from
	ButtonControllerBase and the ButtonPolicy is accessed through a method
	bp() rather than the instance bp_.

	* FormBaseDeprecated.[Ch]: no longer store a ButtonController, but
	rather use a pure virtual method bc() to access the controller
	instantiated by the daughter classes.

	* F*.[Ch]: changes associated with the above.

2001-02-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.[Ch]: renamed as FormBaseDeprecated.[Ch]

	* ViewXforms.[Ch]: renamed as FormBase.[Ch]

2001-02-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* ButtonController.[Ch]: deleted. The class is split into two
	(with identical functionality), the code being found in
	../controllers/ButtonController.[Ch] and xformsBC.[Ch]

	* xformsBC.[Ch]: new files. Xforms specific part of Allan's original
	ButtonController class.

	* FormBase.[Ch]: changes associated with the above split.

	* ViewXforms.[Ch]: Base class for xforms dialogs derived from ViewBase
	(../controllers/ViewBase.h). Ie, for Dialogs with GUI-I controllers
	controlling all interaction to/from the LyX kernel.

	* FormCitation.[Ch]:
	* forms/form_citation.fd: An xforms-specific implementation of the
	Citation dialog, controlled by the GUI-I ControlCitation.

	* Dialogs.C: Use the controlled Citation dialog.

2001-03-15  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* combox.h:
	* combox.C: moved from src/

2001-03-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/fdfix.sh:
	* forms/form_filedialog.C.patch: I hate having to make these patches,
	but on reflection I think it's probably better than hacking fdfix.sh.

2001-03-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/fdfix.sh: test whether bmtable.h is needed before #including it.

2001-03-13  John Levon  <moz@compsoc.man.ac.uk>

	* FormGraphics.C: remove unnecessary hack

2001-03-13  Dekel Tsur  <dekelts@tau.ac.il>

	* FormCitation.C (apply): Do not put space between multiple keys.

2001-03-12  Dekel Tsur  <dekelts@tau.ac.il>

	* Menubar_pimpl.C (add_toc): Remove debug message.

2001-03-09  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* Dialogs.C:
	* FormExternal.C:
	* FormExternal.h:
	* form_external.C:
	* form_external.h:
	* xforms/forms/makefile:
	* forms/form_external.fd: add FormExternal

2001-03-12  John Levon  <moz@compsoc.man.ac.uk>

	* Dialogs.C: add destroySplash()

	* form_splash.h:
	* form_splash.C:
	* forms/form_splash.fd:
	* FormSplash.h:
	* FormSplash.C: make independent of FormBase, tidy

	* Menubar_pimpl.C: destroy splash on interaction

2001-03-12  John Levon  <moz@compsoc.man.ac.uk>

	* FormInclude.h:
	* FormInclude.C:
	* form_include.h:
	* form_include.C:
	* forms/form_include.fd: rework, clean up

2001-03-12  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* FormToc.h: use Buffer::typedef

	* Menubar_pimpl.C (add_toc): use the Buffer::typedefs
	* FormToc.C (build): ditto
	(updateToc): ditto

2001-03-11  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* FormToc.C (build): implement for dynamic number of lists
	(updateToc): ditto
	* Menubar_pimpl.C (add_toc): ditto

2001-03-07  Edwin Leuven  <leuven@fee.uva.nl>

	* added credits:
	* Dialogs.C:
	* Makefile.am:
	* FormCredits.[Ch]:
	* form_credits.[Ch]:
	* forms/form_credits.fd:

2001-03-07  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* Menubar_pimpl.h: make Pipl::ItemInfo::item_ a boost::shared_ptr,
	make ButtonList contain boost::shared_ptr<ItemInfo>

	* Menubar_pimpl.C (~Pimpl): remove destructor

2001-03-06  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* FileDialog.C:
	* FormFiledialog.C:
	* FormFiledialog.h:
	* form_filedialog.C:
	* form_filedialog.h:
	* FormGraphics.C:
	* FormInclude.C:
	* FormPreferences.C:
	* FormPrint.C:
	* xforms_helpers.C:
	* xforms_helpers.h:
	* forms/fdfix.sh:
	* forms/makefile:
	* form/form_filedialog.fd: add File Dialog
	* Toolbar_pimpl.h:
	* Toolbar_pimpl.C: move LayoutsCB to here

2001-03-06  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* FormParagraph.C: changes because of ParagraphParameters.

2001-03-06  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* FormSearch.C (Replace): remove default argument
	(Find): ditto

2001-03-05  Edwin Leuven  <leuven@fee.uva.nl>

	* added find/replace dialog:
	* FormSearch.*: added
	* form_search.*: added
	* forms/form_search.fd: added

2001-03-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* xform_helpers.[Ch]: renamed as xforms_helpers.[Ch].

	* various: in a rush of delayed guilt, I've renamed all instances of
	xform as xforms. Jean-Marc sowed this seed a long, long time ago and it
	finally sprouted.

	* xforms_helpers.[Ch] (setEnabled): a little wrapper function to
	activate/deactivate an FL_OBJECT.

	* FormCitation.C:
	* FormDocument.C:
	* FormInclude.C:
	* FormParagraph.C:
	* FormPreamble.C:
	* FormPreferences.C:
	* FormRef.C:
	* FormTabular.C: used it.

2001-03-05  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C: removed three unused using directives.

2001-03-05  Edwin Leuven  <leuven@fee.uva.nl>

	* added find/replace dialog:
	* FormSearch.*: added
	* form_search.*: added
	* forms/form_search.fd: added

2001-02-27  Dekel Tsur  <dekelts@tau.ac.il>

	* FormRef.C: Fixed the behaviour of Goto-Ref.

2001-02-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* forms/makefile: added character and preamble dialogs

2001-02-27  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* FormCharacter.C (FormCharacter): change order of deletion,
	change combo_language2 to combo_language2_

2001-02-26  Dekel Tsur  <dekelts@tau.ac.il>

	* FormRef.C (apply): Update bookmark #0 after inserting a reference.

2001-02-23  Edwin Leuven <leuven@fee.uva.nl>

	* Dialogs.C: added layoutcharacter
	* FormCharacter.C: added
	* FormCharacter.h: added
	* form_character.C: added
	* form_character.h: added
	* forms/form_character.fd: added

2001-02-23  Dekel Tsur  <dekelts@tau.ac.il>

	* FormPreferences.C: Handle lyxrc.language_use_babel and
	lyxrc.language_global_options.

2001-02-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences(GetFrom, GetTo): use size_type rather than int.

2001-02-23  John Levon  <moz@compsoc.man.ac.uk>

	* FormBase.C: no longer transient dialogs, XMapWindow()
	  in attempt to de-iconify

	* FormDocument.C: remove DO_USE_DEFAULT_LANGUAGE

2001-02-21  Dekel Tsur  <dekelts@tau.ac.il>

	* FormDocument.C (checkMarginValues): Activate "use geometry" button
	if using custom paper size/margin.

2001-02-21  Allan Rae  <rae@lyx.org>

	* forms/form_preferences.fd: larger, bold font for outer tabfolder

2001-02-20  Edwin Leuven <leuven@fee.uva.nl>

	* src/frontends/xforms/Dialogs.C: added preamble
	* src/frontends/xforms/FormPreamble.C: added
	* src/frontends/xforms/FormPreamble.h: added
	* src/frontends/xforms/Makefile.am: added
	* src/frontends/xforms/form_preamble.C: added
	* src/frontends/xforms/form_preamble.h: added
	* src/frontends/xforms/form_preamble.fd: added

2001-02-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBase.h: moved noncopyable derivation to DialogBase.

2001-02-19  Juergen Vigna  <jug@sad.it>

	* FormTabular.C (build): make all input field accepted only after
	a "RETURN".

	* forms/form_tabular.fd: removed default "Return" on Close-Button.

2001-02-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormError.C:
	* FormGraphics.C:
	* FormInset.C (showInset): change associated with name change
	inset::hide to inset::hideDialog.

2001-02-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C (build): altering "Text after" now activates the Ok,
	Apply buttons.

2001-02-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormCitation.C: lots of white-space changes to make file consistent
	with LyX style.
	(input): use the FL_OBJECT * parameter to decide what to do, not the
	long parameter.

	* FormCitation.h: removed most entries in enum.

	* forms/form_citation.fd: change names of variables, consistent with
	Allan's naming scheme.
	Don't pass any particular arguments to the InputCB function.
	choice_style now triggers a callback and looks like other choices.

2001-02-16  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* other: use compare instead of strcmp/strncmp

2001-02-15  Angus Leeming  <a.leeming@ic.ac.uk>

	* ButtonController.[Ch]: changed trigger_change_ vector and associated
	methods to dont_trigger_change_ because FL_OBJECTs that trigger a
	callback to InputCB() but don't trigger a change in the state of the
	Ok, Apply buttons are much rarer than those that do.

	* FormCitation.C (build): associated change.

2001-02-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* ButtonController.C: include algorithm

2001-02-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* ButtonController.[Ch] (addTriggerChange, eraseTriggerChange):
	new methods.
	(valid): method can now be passed an optional FL_OBJECT *. If it is, and
	the vector of FL_OBJECT *s that can trigger a change in the button state
	is not empty, then a change of state will occur only if the FL_OBJECT *
	is present in this vector.

	* FormBase.C (RestoreCB): call bc.undoAll() before restore(). Allows
	the user to deactivate specific fields within restore().
	(InputCB): pass the FL_OBJECT * to bc_.valid().

	* FormCitation.C (build): create a vector of FL_OBJECT *s that can
	trigger a change of state in the Ok,Apply buttons.
	(update): bc_.readOnly() to the start of the method. Similar reasoning
	to that for FormBase::RestoreCB, above.

2001-02-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormBrowser.C: used OkCancelPolicy for ButtonController rather than
	IgnorantPolicy.

	* forms/form_browser.fd:
	* forms/form_copyright.fd:
	* forms/form_error.fd:
	* forms/form_tabular.fd:
	* forms/form_toc.fd:
	Consistent shortcuts for Close button: Esc and Return only.

	* forms/form_citation.fd:
	* forms/form_document.fd:
	* forms/form_index.fd:
	* forms/form_paragraph.fd:
	* forms/form_preferences.fd:
	* forms/form_print.fd:
	* forms/form_ref.fd:
	* forms/form_tabular_create.fd:
	* forms/form_url.fd:
	Consistent shortcut for Cancel button: Esc only.

2001-02-12  John Levon  <moz@compsoc.man.ac.uk>

	* Dialogs.C: new Splash. Include, Bibitem/tex

	* FormBase.h: make show() virtual for Splash's benefit

	* Makefile.am:
	* forms/makefile:
	* FormBibitem.C:
	* FormBibitem.h:
	* FormBibtex.C:
	* FormBibtex.h:
	* form_bibitem.C:
	* form_bibitem.h:
	* form_bibtex.C:
	* form_bibtex.h:
	* forms/form_bibitem.fd:
	* forms/form_bibtex.fd:
	* FormInclude.C:
	* FormInclude.h:
	* form_include.C:
	* form_include.h:
	* forms/form_include.fd:
	* FormSplash.C:
	* FormSplash.h:
	* form_splash.C:
	* form_splash.h:
	* forms/form_splash.fd: new forms

2001-02-09  John Levon  <moz@compsoc.man.ac.uk>

	* FormLog.C: handle Literate build log nicely

2001-02-09  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Menubar_pimpl.C: remove support for reference menuitem type.

2001-02-07  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* Timeout_pimpl.h:
	* Timeout_pimpl.C: add Timeout implementation

2001-02-06  John Levon  <moz@compsoc.man.ac.uk>

	* form_browser.h:
	* form_browser.C:
	* forms/form_browser.fd:
	* forms/makefile:
	* FormBrowser.C:
	* FormBrowser.h: readonly browser form

	* FormLog.C:
	* FormLog.h:
	* FormVCLog.C:
	* FormVCLog.h:
	* Dialogs.C: add Log and VCLog

	* Makefile.am: add Log and VCLog, add updatesrc target

2001-01-31  Dekel Tsur  <dekelts@tau.ac.il>

	* Menubar_pimpl.C (add_toc2): Add shortcut to the TOC menu.

2001-01-25  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* FormPreferences.C (GetFrom): fix crash when there is no format
	defined.
	(GetTo): ditto.

2001-01-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPreferences.C (LoadBrowserLyX): convert unsigned short to
	unsigned char correctly and so fix 2 bugs loading/changing colors.

2001-01-21  Dekel Tsur  <dekelts@tau.ac.il>

	* FormRef.C (update): Do not update dialog_->{ref,name,type}
	if inset_ == 0.
	Deactivate the type button when buffer is LinuxDoc/Docbook
	(build): Uncomment calls to addReadOnly().
	(updateBrowser) Do not disable the update button when there are no
	keys.
	(build, getType, getName): Use InsetRef::types.

2001-01-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* FormPrint.[Ch] (browse): new method to browse for file to print to.

	* forms/form_print.fd: give the form a Browse button.

2001-01-17  Dekel Tsur  <dekelts@tau.ac.il>

	* FormRef.C (input): Fix the behavior of goto reference button.
